Open Bug 1634641 Opened 1 year ago Updated 6 days ago

Intermittent LeakSanitizer | leak at mozilla::dom::Console::CreateInstance, mozilla::dom::console_Binding::createInstance, CallJSNative, js::InternalCallOrConstruct

Categories

(Firefox :: General, defect)

defect

Tracking

()

People

(Reporter: intermittent-bug-filer, Unassigned, NeedInfo)

References

(Regression)

Details

(Keywords: intermittent-failure, leave-open, memory-leak, Whiteboard: [stockwell disabled][stockwell needswork:owner])

Attachments

(1 file)

Filed by: nbeleuzu [at] mozilla.com
Parsed log: https://treeherder.mozilla.org/logviewer.html#?job_id=300342402&repo=autoland
Full log: https://firefox-ci-tc.services.mozilla.com/api/queue/v1/task/JlG4IiXKQN65Rb36JQvBOg/runs/0/artifacts/public/logs/live_backing.log


[task 2020-05-01T06:48:15.320Z] 06:48:15 INFO - GECKO(2865) | -----------------------------------------------------
[task 2020-05-01T06:48:15.362Z] 06:48:15 INFO - GECKO(2865) | -----------------------------------------------------
[task 2020-05-01T06:48:15.362Z] 06:48:15 INFO - GECKO(2865) | Suppressions used:
[task 2020-05-01T06:48:15.362Z] 06:48:15 INFO - GECKO(2865) | count bytes template
[task 2020-05-01T06:48:15.362Z] 06:48:15 INFO - GECKO(2865) | 24 744 nsComponentManagerImpl
[task 2020-05-01T06:48:15.362Z] 06:48:15 INFO - GECKO(2865) | 633 18287 libfontconfig.so
[task 2020-05-01T06:48:15.362Z] 06:48:15 INFO - GECKO(2865) | 1 11 libglib-2.0.so
[task 2020-05-01T06:48:15.362Z] 06:48:15 INFO - GECKO(2865) | -----------------------------------------------------
[task 2020-05-01T06:48:15.423Z] 06:48:15 INFO - GECKO(2865) | -----------------------------------------------------
[task 2020-05-01T06:48:15.423Z] 06:48:15 INFO - GECKO(2865) | Suppressions used:
[task 2020-05-01T06:48:15.423Z] 06:48:15 INFO - GECKO(2865) | count bytes template
[task 2020-05-01T06:48:15.423Z] 06:48:15 INFO - GECKO(2865) | 24 744 nsComponentManagerImpl
[task 2020-05-01T06:48:15.423Z] 06:48:15 INFO - GECKO(2865) | 633 18287 libfontconfig.so
[task 2020-05-01T06:48:15.423Z] 06:48:15 INFO - GECKO(2865) | 1 11 libglib-2.0.so
[task 2020-05-01T06:48:15.423Z] 06:48:15 INFO - GECKO(2865) | -----------------------------------------------------
[task 2020-05-01T06:48:15.541Z] 06:48:15 INFO - GECKO(2865) | -----------------------------------------------------
[task 2020-05-01T06:48:15.542Z] 06:48:15 INFO - GECKO(2865) | Suppressions used:
[task 2020-05-01T06:48:15.543Z] 06:48:15 INFO - GECKO(2865) | count bytes template
[task 2020-05-01T06:48:15.544Z] 06:48:15 INFO - GECKO(2865) | 24 744 nsComponentManagerImpl
[task 2020-05-01T06:48:15.544Z] 06:48:15 INFO - GECKO(2865) | 633 18287 libfontconfig.so
[task 2020-05-01T06:48:15.545Z] 06:48:15 INFO - GECKO(2865) | 1 11 libglib-2.0.so
[task 2020-05-01T06:48:15.546Z] 06:48:15 INFO - GECKO(2865) | -----------------------------------------------------
[task 2020-05-01T06:48:15.624Z] 06:48:15 INFO - GECKO(2865) | -----------------------------------------------------
[task 2020-05-01T06:48:15.624Z] 06:48:15 INFO - GECKO(2865) | Suppressions used:
[task 2020-05-01T06:48:15.625Z] 06:48:15 INFO - GECKO(2865) | count bytes template
[task 2020-05-01T06:48:15.625Z] 06:48:15 INFO - GECKO(2865) | 24 744 nsComponentManagerImpl
[task 2020-05-01T06:48:15.625Z] 06:48:15 INFO - GECKO(2865) | 633 18287 libfontconfig.so
[task 2020-05-01T06:48:15.626Z] 06:48:15 INFO - GECKO(2865) | 1 11 libglib-2.0.so
[task 2020-05-01T06:48:15.626Z] 06:48:15 INFO - GECKO(2865) | -----------------------------------------------------
[task 2020-05-01T06:48:17.072Z] 06:48:17 INFO - GECKO(2865) | -----------------------------------------------------
[task 2020-05-01T06:48:17.074Z] 06:48:17 INFO - GECKO(2865) | Suppressions used:
[task 2020-05-01T06:48:17.075Z] 06:48:17 INFO - GECKO(2865) | count bytes template
[task 2020-05-01T06:48:17.076Z] 06:48:17 INFO - GECKO(2865) | 33 992 nsComponentManagerImpl
[task 2020-05-01T06:48:17.076Z] 06:48:17 INFO - GECKO(2865) | 633 18083 libfontconfig.so
[task 2020-05-01T06:48:17.077Z] 06:48:17 INFO - GECKO(2865) | 19 119 libglib-2.0.so
[task 2020-05-01T06:48:17.077Z] 06:48:17 INFO - GECKO(2865) | 4 832 mozJSComponentLoader
[task 2020-05-01T06:48:17.079Z] 06:48:17 INFO - GECKO(2865) | -----------------------------------------------------
[task 2020-05-01T06:48:17.180Z] 06:48:17 INFO - TEST-INFO | Main app process: exit 0
[task 2020-05-01T06:48:17.181Z] 06:48:17 INFO - TEST-INFO | LeakSanitizer | To show the addresses of leaked objects add report_objects=1 to LSAN_OPTIONS
[task 2020-05-01T06:48:17.182Z] 06:48:17 INFO - TEST-INFO | LeakSanitizer | This can be done in testing/mozbase/mozrunner/mozrunner/utils.py
[task 2020-05-01T06:48:17.182Z] 06:48:17 ERROR - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at mozilla::dom::Console::CreateInstance, mozilla::dom::console_Binding::createInstance, CallJSNative, js::InternalCallOrConstruct

hello, I am new to Mozilla contribution can I work on this with your help.

There were 36 failures in the past week on linux1804-64-asan opt.

Log link: https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=305251658&repo=autoland&lineNumber=4962

[task 2020-06-05T18:30:56.037Z] 18:30:56 INFO - TEST-START | dom/security/test/general/test_xfo_error_page.html
[task 2020-06-05T18:30:59.327Z] 18:30:59 INFO - GECKO(2267) | MEMORY STAT | vsize 20974583MB | residentFast 871MB
[task 2020-06-05T18:31:01.351Z] 18:31:01 INFO - TEST-OK | dom/security/test/general/test_xfo_error_page.html | took 5311ms
[task 2020-06-05T18:31:04.359Z] 18:31:04 INFO - Error: Unable to restore focus, expect failures and timeouts.
[task 2020-06-05T18:31:04.397Z] 18:31:04 INFO - TEST-START | Shutdown
[task 2020-06-05T18:31:04.397Z] 18:31:04 INFO - Passed: 186
[task 2020-06-05T18:31:04.398Z] 18:31:04 INFO - Failed: 0
[task 2020-06-05T18:31:04.398Z] 18:31:04 INFO - Todo: 5
[task 2020-06-05T18:31:04.398Z] 18:31:04 INFO - Mode: e10s
[task 2020-06-05T18:31:04.398Z] 18:31:04 INFO - Slowest: 12352ms - /tests/dom/security/test/general/test_cache_split.html
[task 2020-06-05T18:31:04.398Z] 18:31:04 INFO - SimpleTest FINISHED
[task 2020-06-05T18:31:04.398Z] 18:31:04 INFO - TEST-INFO | Ran 1 Loops
[task 2020-06-05T18:31:04.399Z] 18:31:04 INFO - SimpleTest FINISHED
[task 2020-06-05T18:31:06.800Z] 18:31:06 INFO - GECKO(2267) | 1591381866795 Marionette TRACE Received observer notification xpcom-will-shutdown
[task 2020-06-05T18:31:06.802Z] 18:31:06 INFO - GECKO(2267) | 1591381866795 Marionette INFO Stopped listening on port 2828
[task 2020-06-05T18:31:06.802Z] 18:31:06 INFO - GECKO(2267) | 1591381866796 Marionette DEBUG Marionette stopped listening
[task 2020-06-05T18:31:07.058Z] 18:31:07 INFO - GECKO(2267) | -----------------------------------------------------
[task 2020-06-05T18:31:07.058Z] 18:31:07 INFO - GECKO(2267) | Suppressions used:
[task 2020-06-05T18:31:07.059Z] 18:31:07 INFO - GECKO(2267) | count bytes template
[task 2020-06-05T18:31:07.059Z] 18:31:07 INFO - GECKO(2267) | 24 744 nsComponentManagerImpl
[task 2020-06-05T18:31:07.060Z] 18:31:07 INFO - GECKO(2267) | 633 18287 libfontconfig.so
[task 2020-06-05T18:31:07.061Z] 18:31:07 INFO - GECKO(2267) | -----------------------------------------------------
[task 2020-06-05T18:31:07.170Z] 18:31:07 INFO - GECKO(2267) | -----------------------------------------------------
[task 2020-06-05T18:31:07.170Z] 18:31:07 INFO - GECKO(2267) | Suppressions used:
[task 2020-06-05T18:31:07.171Z] 18:31:07 INFO - GECKO(2267) | count bytes template
[task 2020-06-05T18:31:07.171Z] 18:31:07 INFO - GECKO(2267) | 24 744 nsComponentManagerImpl
[task 2020-06-05T18:31:07.172Z] 18:31:07 INFO - GECKO(2267) | 2 288 libfontconfig.so
[task 2020-06-05T18:31:07.172Z] 18:31:07 INFO - GECKO(2267) | -----------------------------------------------------
[task 2020-06-05T18:31:07.571Z] 18:31:07 INFO - GECKO(2267) | [2020-06-05T18:31:07Z ERROR xulstore::persist] removeDocument error: unavailable
[task 2020-06-05T18:31:11.901Z] 18:31:11 INFO - GECKO(2267) | ==2325==WARNING: Symbolizer buffer too small
[task 2020-06-05T18:31:21.389Z] 18:31:21 INFO - GECKO(2267) | =================================================================
[task 2020-06-05T18:31:21.389Z] 18:31:21 ERROR - GECKO(2267) | ==2325==ERROR: LeakSanitizer: detected memory leaks
[task 2020-06-05T18:31:21.390Z] 18:31:21 INFO - GECKO(2267) | Direct leak of 4096 byte(s) in 1 object(s) allocated from:
[task 2020-06-05T18:31:21.391Z] 18:31:21 INFO - GECKO(2267) | #0 0x55f704aca689 in realloc /builds/worker/fetches/llvm-project/llvm/projects/compiler-rt/lib/asan/asan_malloc_linux.cc:164:3
[task 2020-06-05T18:31:21.392Z] 18:31:21 INFO - GECKO(2267) | #1 0x7f59f738a71a in js_arena_realloc /builds/worker/workspace/obj-build/dist/include/js/Utility.h:420:10
[task 2020-06-05T18:31:21.392Z] 18:31:21 INFO - GECKO(2267) | #2 0x7f59f738a71a in js_pod_arena_realloc<unsigned char> /builds/worker/workspace/obj-build/dist/include/js/Utility.h:624:26
[task 2020-06-05T18:31:21.392Z] 18:31:21 INFO - GECKO(2267) | #3 0x7f59f738a71a in maybe_pod_arena_realloc<unsigned char> /builds/worker/checkouts/gecko/js/src/vm/MallocProvider.h:72:12
[task 2020-06-05T18:31:21.392Z] 18:31:21 INFO - GECKO(2267) | #4 0x7f59f738a71a in unsigned char* js::MallocProvider<JS::Zone>::pod_arena_realloc<unsigned char>(unsigned long, unsigned char*, unsigned long, unsigned long) /builds/worker/checkouts/gecko/js/src/vm/MallocProvider.h:208:12
[task 2020-06-05T18:31:21.392Z] 18:31:21 INFO - GECKO(2267) | #5 0x7f59f736bd12 in pod_realloc<unsigned char> /builds/worker/checkouts/gecko/js/src/vm/MallocProvider.h:227:12
[task 2020-06-05T18:31:21.392Z] 18:31:21 INFO - GECKO(2267) | #6 0x7f59f736bd12 in js::Nursery::reallocateBuffer(JS::Zone*, js::gc::Cell*, void*, unsigned long, unsigned long) /builds/worker/checkouts/gecko/js/src/gc/Nursery.cpp:635:18
[task 2020-06-05T18:31:21.392Z] 18:31:21 INFO - GECKO(2267) | #7 0x7f59f6b4066c in js::HeapSlot* js::ReallocateObjectBuffer<js::HeapSlot>(JSContext*, JSObject*, js::HeapSlot*, unsigned int, unsigned int) /builds/worker/checkouts/gecko/js/src/gc/Nursery-inl.h:133:45
[task 2020-06-05T18:31:21.392Z] 18:31:21 INFO - GECKO(2267) | #8 0x7f59f6b4033e in js::NativeObject::growSlots(JSContext*, unsigned int, unsigned int) /builds/worker/checkouts/gecko/js/src/vm/NativeObject.cpp:383:7
[task 2020-06-05T18:31:21.392Z] 18:31:21 INFO - GECKO(2267) | #9 0x7f59f6c69af9 in updateSlotsForSpan /builds/worker/checkouts/gecko/js/src/vm/NativeObject-inl.h:549:33
[task 2020-06-05T18:31:21.392Z] 18:31:21 INFO - GECKO(2267) | #10 0x7f59f6c69af9 in setLastProperty /builds/worker/checkouts/gecko/js/src/vm/NativeObject-inl.h:587:7
[task 2020-06-05T18:31:21.392Z] 18:31:21 INFO - GECKO(2267) | #11 0x7f59f6c69af9 in getChildDataProperty /builds/worker/checkouts/gecko/js/src/vm/Shape.cpp:447:13
[task 2020-06-05T18:31:21.392Z] 18:31:21 INFO - GECKO(2267) | #12 0x7f59f6c69af9 in js::NativeObject::addDataPropertyInternal(JSContext*, JS::Handle<js::NativeObject*>, JS::Handle<JS::PropertyKey>, unsigned int, unsigned int, js::ShapeTable*, js::ShapeTable::Entry*, js::AutoKeepShapeCaches const&) /builds/worker/checkouts/gecko/js/src/vm/Shape.cpp:731:13
[task 2020-06-05T18:31:21.395Z] 18:31:21 INFO - GECKO(2267) | #13 0x7f59f6b4ba40 in addDataProperty /builds/worker/checkouts/gecko/js/src/vm/Shape-inl.h:436:10
[task 2020-06-05T18:31:21.396Z] 18:31:21 INFO - GECKO(2267) | #14 0x7f59f6b4ba40 in AddOrChangeProperty<IsAddOrChange::Add> /builds/worker/checkouts/gecko/js/src/vm/NativeObject.cpp:1450:15
[task 2020-06-05T18:31:21.396Z] 18:31:21 INFO - GECKO(2267) | #15 0x7f59f6b4ba40 in js::NativeDefineProperty(JSContext*, JS::Handle<js::NativeObject*>, JS::Handle<JS::PropertyKey>, JS::Handle<JS::PropertyDescriptor>, JS::ObjectOpResult&) /builds/worker/checkouts/gecko/js/src/vm/NativeObject.cpp:1758:10
[task 2020-06-05T18:31:21.396Z] 18:31:21 INFO - GECKO(2267) | #16 0x7f59f6aa65ee in js::DefineDataProperty(JSContext*, JS::Handle<JSObject*>, JS::Handle<JS::PropertyKey>, JS::Handle<JS::Value>, unsigned int, JS::ObjectOpResult&) /builds/worker/checkouts/gecko/js/src/vm/JSObject.cpp:2742:10
[task 2020-06-05T18:31:21.396Z] 18:31:21 INFO - GECKO(2267) | #17 0x7f59f6aa6936 in js::DefineDataProperty(JSContext*, JS::Handle<JSObject*>, JS::Handle<JS::PropertyKey>, JS::Handle<JS::Value>, unsigned int) /builds/worker/checkouts/gecko/js/src/vm/JSObject.cpp:2763:8
[task 2020-06-05T18:31:21.396Z] 18:31:21 INFO - GECKO(2267) | #18 0x7f59f67376a2 in DefineDataPropertyById /builds/worker/checkouts/gecko/js/src/jsapi.cpp:2167:10
[task 2020-06-05T18:31:21.396Z] 18:31:21 INFO - GECKO(2267) | #19 0x7f59f67376a2 in DefineDataProperty(JSContext*, JS::Handle<JSObject*>, char const*, JS::Handle<JS::Value>, unsigned int) /builds/worker/checkouts/gecko/js/src/jsapi.cpp:2247:10
[task 2020-06-05T18:31:21.396Z] 18:31:21 INFO - GECKO(2267) | #20 0x7f59f67382e1 in JS_DefineProperty(JSContext*, JS::Handle<JSObject*>, char const*, JS::Handle<JSObject*>, unsigned int) /builds/worker/checkouts/gecko/js/src/jsapi.cpp:2284:10
[task 2020-06-05T18:31:21.405Z] 18:31:21 INFO - GECKO(2267) | #21 0x7f59f07b4b33 in mozilla::dom::DefineConstructor(JSContext*, JS::Handle<JSObject*>, char const*, JS::Handle<JSObject*>) /builds/worker/checkouts/gecko/dom/bindings/BindingUtils.cpp:792:10
[task 2020-06-05T18:31:21.405Z] 18:31:21 INFO - GECKO(2267) | #22 0x7f59f07835cb in CreateInterfaceObject /builds/worker/checkouts/gecko/dom/bindings/BindingUtils.cpp:888:26
[task 2020-06-05T18:31:21.406Z] 18:31:21 INFO - GECKO(2267) | #23 0x7f59f07835cb in mozilla::dom::CreateInterfaceObjects(JSContext*, JS::Handle<JSObject*>, JS::Handle<JSObject*>, JSClass const*, JS::Heap<JSObject*>, JS::Handle<JSObject>, JSClass const*, unsigned int, mozilla::dom::NamedConstructor const*, JS::Heap<JSObject*>, mozilla::dom::NativePropertiesN<7> const, mozilla::dom::NativePropertiesN<7> const*, char const*, bool, char const* const*, bool, char const* const*) /builds/worker/checkouts/gecko/dom/bindings/BindingUtils.cpp:1061:17
[task 2020-06-05T18:31:21.406Z] 18:31:21 INFO - GECKO(2267) | #24 0x7f59efda5197 in mozilla::dom::XMLDocument_Binding::CreateInterfaceObjects(JSContext*, JS::Handle<JSObject*>, mozilla::dom::ProtoAndIfaceCache&, bool) /builds/worker/workspace/obj-build/dom/bindings/XMLDocumentBinding.cpp:451:3
[task 2020-06-05T18:31:21.406Z] 18:31:21 INFO - GECKO(2267) | #25 0x7f59f079759f in mozilla::dom::GetPerInterfaceObjectHandle(JSContext*, unsigned long, void ()(JSContext, JS::Handle<JSObject*>, mozilla::dom::ProtoAndIfaceCache&, bool), bool) /builds/worker/checkouts/gecko/dom/bindings/BindingUtils.cpp:4182:5
[task 2020-06-05T18:31:21.407Z] 18:31:21 INFO - GECKO(2267) | #26 0x7f59efda3d88 in GetProtoObjectHandle /builds/worker/workspace/obj-build/dist/include/mozilla/dom/XMLDocumentBinding.h:61:12
[task 2020-06-05T18:31:21.407Z] 18:31:21 INFO - GECKO(2267) | #27 0x7f59efda3d88 in mozilla::dom::XMLDocument_Binding::Wrap(JSContext*, mozilla::dom::XMLDocument*, nsWrapperCache*, JS::Handle<JSObject*>, JS::MutableHandle<JSObject*>) /builds/worker/workspace/obj-build/dom/bindings/XMLDocumentBinding.cpp:355:42
[task 2020-06-05T18:31:21.407Z] 18:31:21 INFO - GECKO(2267) | #28 0x7f59f25ecb2e in Wrap<mozilla::dom::XMLDocument> /builds/worker/workspace/obj-build/dist/include/mozilla/dom/XMLDocumentBinding.h:42:12
[task 2020-06-05T18:31:21.408Z] 18:31:21 INFO - GECKO(2267) | #29 0x7f59f25ecb2e in mozilla::dom::XMLDocument::WrapNode(JSContext*, JS::Handle<JSObject*>) /builds/worker/checkouts/gecko/dom/xml/XMLDocument.cpp:343:10
[task 2020-06-05T18:31:21.408Z] 18:31:21 INFO - GECKO(2267) | #30 0x7f59eed8423b in nsINode::WrapObject(JSContext*, JS::Handle<JSObject*>) /builds/worker/checkouts/gecko/dom/base/nsINode.cpp:2974:34
[task 2020-06-05T18:31:21.409Z] 18:31:21 INFO - GECKO(2267) | #31 0x7f59eeb68a22 in DoGetOrCreateDOMReflector<mozilla::dom::Document, mozilla::dom::binding_detail::eWrapIntoContextCompartment> /builds/worker/workspace/obj-build/dist/include/mozilla/dom/BindingUtils.h:1053:18

Flags: needinfo?(odvarko)
Whiteboard: [stockwell needswork:owner]

There are 189 total failures for the last 30 days on linux1804-64-asan platform.

Andrew, can you please take a look?

Flags: needinfo?(continuation)
Whiteboard: [stockwell disable-recommended] → [stockwell needswork:owner]

This is a really generic signature, that basically indicates we leaked a bunch of stuff. It looks like it really spiked up in the last day.

Maybe somebody could narrow down when it started happening frequently a bit more? Specifically the linux1804-64-asan mochitest-browser-chrome-e10s-10 and mochitest-browser-chrome-e10s-11 failures.

Looking at about a dozen recent failures, they are happening in the directory: browser/components/downloads/test/browser/

I would expect that there's a similar very frequent leakcheck failure in that directory as well.

I don't see any recent test changes in that directory. Gijs, any guesses about what code changes in the last 24 hours might have caused a lot of failures here?

Component: JSON Viewer → Downloads Panel
Flags: needinfo?(odvarko) → needinfo?(gijskruitbosch+bugs)
Product: DevTools → Firefox

Contrary to what the graph looks like, the first failure I can see in this downloads test directory is from the 9th: https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=305648028&repo=autoland&lineNumber=2627 directory

I don't see any high frequency leakcheck failures on Orange Factor. I'm not sure what that means.

I've started some retriggers in the dozen or so pushes before the failure in comment 14.

Seems this goes back a while, cf. https://treeherder.mozilla.org/#/jobs?repo=autoland&selectedTaskRun=E2vhT00LQJi8sisFfDa29w.0&searchStr=linux%2C18.04%2Cx64%2Casan%2Copt%2Cmochitests%2Ctest-linux1804-64-asan%2Fopt-mochitest-plain-e10s-4%2Cm%284%29&revision=8a4360db7cbe3808d6466a5ad7807cb95ca47eb3

So we might need more retriggers on earlier pushes?

The leak stacks are a bit confusing; they point to JS things calling into a console API, but the JS is called from nsDocShell::InternalLoad, which appears to be from a call to shouldLoadURI(), which hasn't changed for a while... so I'm not sure what's going on. :-(

(In reply to :Gijs (he/him) from comment #18)

Seems this goes back a while, cf. https://treeherder.mozilla.org/#/jobs?repo=autoland&selectedTaskRun=E2vhT00LQJi8sisFfDa29w.0&searchStr=linux%2C18.04%2Cx64%2Casan%2Copt%2Cmochitests%2Ctest-linux1804-64-asan%2Fopt-mochitest-plain-e10s-4%2Cm%284%29&revision=8a4360db7cbe3808d6466a5ad7807cb95ca47eb3

So we might need more retriggers on earlier pushes?

There are at least two fairly frequent leaks. One of them is the Mochitest plain 4, which maybe is happening in dom/security/test/general/, and then there's also the one happening in downloads directory, which is in Mochitest BC. I think it is the BC failure that has started happening fairly recently, and extremely often, so I would to look at trying to figure out what is causing that one, not the other one.

The leak stacks are a bit confusing; they point to JS things calling into a console API, but the JS is called from nsDocShell::InternalLoad, which appears to be from a call to shouldLoadURI(), which hasn't changed for a while... so I'm not sure what's going on. :-(

The individual leak stacks are basically irrelevant. If you look at a full log, something like 80% of the entire log is just leak stacks. This is a symptom of a leak where we are leaking like an entire DOM window, along with all of its elements and tons of JS stuff.

(In reply to Razvan Maries from comment #19)

Continued retriggers: https://treeherder.mozilla.org/#/jobs?repo=autoland&resultStatus=testfailed%2Cbusted%2Cexception%2Csuccess%2Crunning%2Cpending%2Crunnable&searchStr=linux%2C18.04%2Cx64%2Casan%2Copt%2Cmochitests%2Ctest-linux1804-64-asan%2Fopt-mochitest-plain-e10s-4%2Cm%284%29&fromchange=b05abc0736ee1ca8b97c17dbc78c76b595193220&tochange=1a8d79d0832fed96b4df55d28afe3925f6d8414f

I think it would be good to focus on the Mochitest plain BC 11 failures, not the older Mochitest plain 4 failures, because it seems to be a more recent regression, and because it appears to comprise around 90% of recent failures in this bug.

Although looking at the retriggers, the m4 failure rate appears to be quite high as well, so maybe we need to figure that out, too.

Bug 1265637 might be the debug version of at least some of these leaks. Bug 1265637 comment 101 says "The recent occurrences after the dom/security/ mochitests ran start with bug 1629866 according to retriggers." dom/security suggests it could be the same thing as the M4 leak here.

See Also: → 1265637

Specifically, so far I've found failures on this push: https://hg.mozilla.org/integration/autoland/rev/cbd35ab772537ead53ec64cc3783220a3e66b1be
but not this one: https://hg.mozilla.org/integration/autoland/rev/bf91e9e8455eda80299902401c930f085e85b002

That gets us down to a range of about a dozen pushes, and a good chunk of those can't possibly have caused a Linux BC failure.

I think it is likely that bug 1629866 is the regressor for the plain M4 failure. I'll mark the regressor for the BC failure when I find it.

Regressed by: 1629866

Based on this, I think that the regressor for the BC11 failure is bug 1606652: https://treeherder.mozilla.org/#/jobs?repo=autoland&searchStr=linux%2Casan%2Cbc11&tochange=fc5808ee37a18acef7ff69eba861ccc8f24c3ae2&fromchange=a34e77d6c3bf775acf9ad987e215038fb2edab72

Denis, could you take a look? Thanks.

Note that there was a single failure before that landed, but I did a half dozen retriggers and it didn't happen again, so it may have been a pre-existing very rare intermittent failure: https://treeherder.mozilla.org/#/jobs?repo=autoland&selectedTaskRun=XDKoY3MdST-Q6VLt5eVDWA.0&revision=5cff19bd3c534c55d3ef0070773a91f822135c60&searchStr=linux%2Cbc11

Flags: needinfo?(continuation) → needinfo?(dpalmeiro)
Keywords: memory-leak
Regressed by: 1606652

Peter, could you please look at the intermittent Mochitest 4 leak? This feels like it is probably the same issue as described in Bug 1265637 comment 101.

Flags: needinfo?(peterv)

Thanks Andrew, taking a look asap.

Flags: needinfo?(dpalmeiro)

Clearing my ni given we have regressors now...

Flags: needinfo?(gijskruitbosch+bugs)

Changing the ~LinkedList() assert to a MOZ_RELEASE_ASSERT, I can reproduce the same issue as bug 1265637 here and also gave me a useful traceback. There are some unused tasks remaining in the parseFinishedList_ for the JS helper thread when we call JS_Shutdown. This is to be expected since we are speculatively parsing scripts now, but any remaining preload scripts should be canceled during ~ScriptLoader() to clear this list out. Running this fix through some tests at the moment.

(In reply to Andrew McCreight [:mccr8] from comment #29)

Peter, could you please look at the intermittent Mochitest 4 leak? This feels like it is probably the same issue as described in Bug 1265637 comment 101.

That patch only added a strong reference between BrowsingContext and ChildSHistory, declared to the CC. I'm trying to reproduce so I can get some logs.

(In reply to Peter Van der Beken [:peterv] from comment #37)

That patch only added a strong reference between BrowsingContext and ChildSHistory, declared to the CC. I'm trying to reproduce so I can get some logs.

I've had some success with getting CC logs off of try for leaks I couldn't reproduce locally.

Depends on: 1646793
Whiteboard: [stockwell disable-recommended] → [stockwell needswork:owner]

bug 1646793 has landed but there appear to still be bc failures. Denis, any ideas as to what may be causing that?

Flags: needinfo?(dpalmeiro)

Hmm, I did confirm the bc11 failures were fixed with the changes in bug 1646793: https://treeherder.mozilla.org/#/jobs?repo=try&revision=34e69ad19905812597aee2e7075ebd5c379afcb3

But I'll take another look today to see if I maybe missed something.

Flags: needinfo?(dpalmeiro)

(In reply to Denis Palmeiro [:denispal] from comment #44)

Hmm, I did confirm the bc11 failures were fixed with the changes in bug 1646793: https://treeherder.mozilla.org/#/jobs?repo=try&revision=34e69ad19905812597aee2e7075ebd5c379afcb3

But I'll take another look today to see if I maybe missed something.

Chunks (and which tests are in which chunk number) are not constant - they get re-done when tests are added/removed. For instance, the recent failures shown in orangefactor are for jobs in chunk 13, not 11.

The issue seems to be triggered in runs that include the browser mochitests in browser/components/downloads/test/browser/, and your trypush did not run those tests.

You can use a path param with mach try fuzzy to only run the relevant tests (ie ./mach try fuzzy browser/components/downloads/test/browser/).

Denis, do you have any updates on this? The failure rate here is still high with 177 total failures in the last 7 days: https://treeherder.mozilla.org/intermittent-failures.html#/bugdetails?startday=2020-06-21&endday=2020-06-28&tree=trunk&bug=1634641
Thank you.

Flags: needinfo?(dpalmeiro)
Whiteboard: [stockwell disable-recommended] → [stockwell needswork:owner]

(In reply to Cosmin Sabou [:CosminS] from comment #51)

Denis, do you have any updates on this? The failure rate here is still high with 177 total failures in the last 7 days: https://treeherder.mozilla.org/intermittent-failures.html#/bugdetails?startday=2020-06-21&endday=2020-06-28&tree=trunk&bug=1634641
Thank you.

I thought I found the issue, but it appears to only address the isEmpty asserts from bug 1265637 which appears to be a separate issue. I am still investigating this leak as my main focus, however. It is only reproducible on try for me so debugging has been a bit lengthy. I should also mention that the initial bug that regressed this is under a nightly only pref so this leak should go away in a release build.

Flags: needinfo?(dpalmeiro)

(In reply to Andrew McCreight [:mccr8] from comment #29)

Peter, could you please look at the intermittent Mochitest 4 leak? This feels like it is probably the same issue as described in Bug 1265637 comment 101.

I posted this in bug 1265637, but I'll post it here too since the bugs have become muddled. This was an existing leak, where we were leaking a ton of BrowsingContexts. Bug 1629866 made the BrowsingContext hold an additional object (ChildSHistory), and that made the leak worse, but it doesn't cause it. Somebody needs to figure out the existing leak.

Flags: needinfo?(peterv)

The browser/components/downloads/test/browser/ failure seems to be almost (but not entirely) permanent at this point. I'm not sure if that's a change, but I've looked back to at least Tuesday and it has been that way.

Ok, that's not right. Going back further, it was still orange on m-c earlier than that.

Still not entirely sure where the leak is coming from, but it seems strongly tied to parsing "resource://pdf.js/build/pdf.js" off the main thread for whatever reason. It seems there is a race somewhere since subtle harmless changes can make the leak go away entirely. There are other scripts parsed omt with similar properties but it doesn't seem like parsing any of them introduces any leaks at all which is curious.

Whiteboard: [stockwell disable-recommended] → [stockwell needswork:owner]

Over in bug 1609920, I think rpl found that browser_pdfjs_preview.js was the cause of the bc leak. We should disable that test with ASan, because this is failing 100% of the time.

Assignee: nobody → nerli
Status: NEW → ASSIGNED
Pushed by csabou@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/f06c9a5fbd67
Skip browser_pdfjs_preview.js in asan builds due to frequent failures. r=jmaher
Assignee: nerli → nobody
Status: ASSIGNED → NEW
Keywords: leave-open
Whiteboard: [stockwell disable-recommended] → [stockwell disabled]
Assignee: nobody → nerli
Status: NEW → ASSIGNED
Depends on: 1652126

https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=309460731&repo=autoland&lineNumber=20452 seems to be the same leak in m-bc running toolkit/components/certviewer/tests/browser/browser.ini , which doesn't appear to have anything to do with pdfjs ( https://searchfox.org/mozilla-central/search?q=pdf&path=toolkit%2Fcomponents%2Fcertviewer%2Ftests%2Fbrowser&case=false&regexp=false shows no hits).

There are also a large number of devtools test leaks. Are we any closer to figure out what is going on here, and/or is there asan-only debugging code we could add to get closer to figuring that out?

Flags: needinfo?(dpalmeiro)
Flags: needinfo?(continuation)

Bah, I noticed bug 1652126 too late - I'm guessing that is supposed to fix all of these?

Flags: needinfo?(continuation)

(In reply to :Gijs (he/him) from comment #71)

Bah, I noticed bug 1652126 too late - I'm guessing that is supposed to fix all of these?

Yes, I'm hopeful it should fix the leaks here and the asserts in bug 1265637. The leaks in m-bc look similar as well, so hopefully it should also fix those.

Flags: needinfo?(dpalmeiro)
Assignee: nerli → nobody
Status: ASSIGNED → NEW

In the last 7 days there have been 25 occurrences, all on linux1804-64-asan opt.

Recent failure: https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=312497017&repo=mozilla-central&lineNumber=38981

Denis, are you planning more work to fix these, besides bug 1652126?

Flags: needinfo?(dpalmeiro)
Whiteboard: [stockwell disabled] → [stockwell disabled][stockwell needswork]
Whiteboard: [stockwell disabled][stockwell needswork] → [stockwell disabled][stockwell needswork:owner]

(In reply to Bogdan Tara[:bogdan_tara | bogdant] from comment #76)

In the last 7 days there have been 25 occurrences, all on linux1804-64-asan opt.

Recent failure: https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=312497017&repo=mozilla-central&lineNumber=38981

Denis, are you planning more work to fix these, besides bug 1652126?

bug 1652126 should address this problem, but I'm still working on it.

Flags: needinfo?(dpalmeiro)

In the last 7 days there were failures of this bug. These happened on linux1804-64-asan opt.

Recent failure log: https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=313766963&repo=autoland&lineNumber=6186

Denis, it would seem this is still happening despite bug 1652126 being fixed - can you take a look?

Flags: needinfo?(dpalmeiro)

It may not be related. This intermittent failure signature is just what it looks like whenever we leak a lot of JS stuff. It looks like these failures are happening in mochitest-devtools-chrome-e10s-4, in the devtools/client/jsonview/test/ directory.

This bug failed 44 times in the last 7 days. Occurs on linux1804-64-asan platform on opt build type.

Recent log:
https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=319625654&repo=autoland&lineNumber=2901

Marco:
Can you have someone take a look a this bug?

Flags: needinfo?(mak)

(In reply to Dorel Luca [:dluca] from comment #92)

Can you have someone take a look a this bug?

Unfortunately I don't manage resources, and thus I'm not sure who I may ask to. The most likely persons already investigated this earlier, per the previous comments.
I'm not sure why this is still under Downloads, when from the last logs it seems to be affecting a lot of other areas, many of the recent logs seem to point out to newtab tests, certviewer, devtools... It should be moved to either general or js, but that won't help figuring it out anyway.

At this point it's a more general intermittent leak that affects various tests, not just downloads, and that requires someone with deep knowledge of gc/cc to investigate (provided there's a decent way to reproduce it consistently, that doesn't sound like).

Flags: needinfo?(mak)

Andrew, do you have cycles to do any kind of digging here that could lead to identifying someone who could work on this? ATM it seems this is filed under downloads, but the failures are from devtools' json view, and new tab tests (browser/components/newtab), but I expect they're not actionable for engineers on either team right now - and it's not clear to me if they indicate issues with those components or their tests, or underlying issues in gecko/JS land that are exposed by those tests.

Going to clear some priority flags to make this bug slightly more accurately reflect what's going on.

Severity: normal → S2
Component: Downloads Panel → General
Flags: needinfo?(continuation)
Priority: P5 → --

Perhaps some of these are still lingering off thread parse tasks. bug 1652126 guarantees that cancelling a request is a successful, but there could still be some situations where cancellation does not occur before a shutdown and the parse tasks do not get cleaned up.

bug 1666724 seems to be one such case where shutdown happens but the off thread compilation was never notified and tries to dispatch a runnable during shutdown. I haven't been able to reproduce it, but I have a patch that will register a shutdown observer and cancel any active parses if called which hopefully fixes the problem and may also help here.

Flags: needinfo?(dpalmeiro)

Yeah, hard to know what to do here. These failures look like they are pretty spread out across a variety of bc test suites, so reproducing this seems like it would be difficult. It does seem notable that these are exclusively bc and devtools tests. (I assume the devtools ones are actually bc.) Denis's theory that they could be related to off thread parse tasks sounds plausible.

leakcheck has been broken on Linux for a few months, so it is possible that that could be hiding this leak issue for non-LSan.

There's a lot of stencil stuff in the stack, but presumably we just leak that kind of stuff when we leak JS. It looks like this got worse in the last week or so of October. Ted, does that line up with anything happening with Stencil that you are aware of?

Flags: needinfo?(tcampbell)

There are 58 total failures in the last 7 days on linux1804-64-asan opt

Recent failure log: https://treeherder.mozilla.org/logviewer?job_id=321758728&repo=autoland&lineNumber=3329

[task 2020-11-13T23:03:23.227Z] 23:03:23 INFO - TEST-START | devtools/client/jsonview/test/browser_jsonview_ignore_charset.js
[task 2020-11-13T23:03:23.356Z] 23:03:23 INFO - GECKO(2634) | =================================================================
[task 2020-11-13T23:03:23.357Z] 23:03:23 ERROR - GECKO(2634) | ==2978==ERROR: LeakSanitizer: detected memory leaks
[task 2020-11-13T23:03:23.357Z] 23:03:23 INFO - GECKO(2634) | Direct leak of 11808 byte(s) in 3 object(s) allocated from:
[task 2020-11-13T23:03:23.357Z] 23:03:23 INFO - GECKO(2634) | #0 0x560023368bfd in malloc /builds/worker/fetches/llvm-project/llvm/projects/compiler-rt/lib/asan/asan_malloc_linux.cpp:145:3
[task 2020-11-13T23:03:23.358Z] 23:03:23 INFO - GECKO(2634) | #1 0x7f508e2634ed in js_arena_malloc /builds/worker/workspace/obj-build/dist/include/js/Utility.h:385:10
[task 2020-11-13T23:03:23.358Z] 23:03:23 INFO - GECKO(2634) | #2 0x7f508e2634ed in js_pod_arena_malloc<unsigned char> /builds/worker/workspace/obj-build/dist/include/js/Utility.h:593:26
[task 2020-11-13T23:03:23.358Z] 23:03:23 INFO - GECKO(2634) | #3 0x7f508e2634ed in maybe_pod_arena_malloc<unsigned char> /builds/worker/checkouts/gecko/js/src/vm/MallocProvider.h:53:12
[task 2020-11-13T23:03:23.358Z] 23:03:23 INFO - GECKO(2634) | #4 0x7f508e2634ed in unsigned char* js::MallocProvider<JSContext>::pod_arena_malloc<unsigned char>(unsigned long, unsigned long) /builds/worker/checkouts/gecko/js/src/vm/MallocProvider.h:105:12
[task 2020-11-13T23:03:23.358Z] 23:03:23 INFO - GECKO(2634) | #5 0x7f508e78dd36 in pod_malloc<unsigned char> /builds/worker/checkouts/gecko/js/src/vm/MallocProvider.h:123:12
[task 2020-11-13T23:03:23.358Z] 23:03:23 INFO - GECKO(2634) | #6 0x7f508e78dd36 in js::PrivateScriptData::new_(JSContext*, unsigned int) /builds/worker/checkouts/gecko/js/src/vm/JSScript.cpp:3631:19
[task 2020-11-13T23:03:23.358Z] 23:03:23 INFO - GECKO(2634) | #7 0x7f508e78e6f2 in JSScript::createPrivateScriptData(JSContext*, JS::Handle<JSScript*>, unsigned int) /builds/worker/checkouts/gecko/js/src/vm/JSScript.cpp:3735:37
[task 2020-11-13T23:03:23.358Z] 23:03:23 INFO - GECKO(2634) | #8 0x7f508e78e1c4 in js::PrivateScriptData::InitFromStencil(JSContext*, JS::Handle<JSScript*>, js::frontend::CompilationInfo&, js::frontend::CompilationGCOutput&, js::frontend::ScriptStencil const&) /builds/worker/checkouts/gecko/js/src/vm/JSScript.cpp:3661:8
[task 2020-11-13T23:03:23.359Z] 23:03:23 INFO - GECKO(2634) | #9 0x7f508e78f365 in JSScript::fullyInitFromStencil(JSContext*, js::frontend::CompilationInfo&, js::frontend::CompilationGCOutput&, JS::Handle<JSScript*>, js::frontend::ScriptStencil const&, JS::Handle<JSFunction*>) /builds/worker/checkouts/gecko/js/src/vm/JSScript.cpp:3810:8
[task 2020-11-13T23:03:23.359Z] 23:03:23 INFO - GECKO(2634) | #10 0x7f508e7900d8 in JSScript::fromStencil(JSContext*, js::frontend::CompilationInfo&, js::frontend::CompilationGCOutput&, js::frontend::ScriptStencil const&, JS::Handle<JSFunction*>) /builds/worker/checkouts/gecko/js/src/vm/JSScript.cpp:3873:8
[task 2020-11-13T23:03:23.359Z] 23:03:23 INFO - GECKO(2634) | #11 0x7f508ef361b9 in InstantiateScriptStencils /builds/worker/checkouts/gecko/js/src/frontend/Stencil.cpp:416:27
[task 2020-11-13T23:03:23.359Z] 23:03:23 INFO - GECKO(2634) | #12 0x7f508ef361b9 in js::frontend::CompilationInfo::instantiateStencilsAfterPreparation(JSContext*, js::frontend::CompilationGCOutput&) /builds/worker/checkouts/gecko/js/src/frontend/Stencil.cpp:708:10
[task 2020-11-13T23:03:23.361Z] 23:03:23 INFO - GECKO(2634) | #13 0x7f508ee805ac in js::frontend::InstantiateStencils(JSContext*, js::frontend::CompilationInfo&, js::frontend::CompilationGCOutput&) /builds/worker/checkouts/gecko/js/src/frontend/BytecodeCompiler.cpp:333:26
[task 2020-11-13T23:03:23.361Z] 23:03:23 INFO - GECKO(2634) | #14 0x7f508e65316e in js::ParseTask::instantiateStencils(JSContext*) /builds/worker/checkouts/gecko/js/src/vm/HelperThreads.cpp:710:14
[task 2020-11-13T23:03:23.361Z] 23:03:23 INFO - GECKO(2634) | #15 0x7f508e6f1dca in ScriptParseTask<mozilla::Utf8Unit>::parse(JSContext*) /builds/worker/checkouts/gecko/js/src/vm/HelperThreads.cpp:699:15
[task 2020-11-13T23:03:23.361Z] 23:03:23 INFO - GECKO(2634) | #16 0x7f508e652ce6 in js::ParseTask::runTask(js::AutoLockHelperThreadState&) /builds/worker/checkouts/gecko/js/src/vm/HelperThreads.cpp:658:3
[task 2020-11-13T23:03:23.363Z] 23:03:23 INFO - GECKO(2634) | #17 0x7f508e65286d in js::ParseTask::runHelperThreadTask(js::AutoLockHelperThreadState&) /builds/worker/checkouts/gecko/js/src/vm/HelperThreads.cpp:614:3
[task 2020-11-13T23:03:23.363Z] 23:03:23 INFO - GECKO(2634) | #18 0x7f508e66458c in js::GlobalHelperThreadState::runTaskLocked(js::HelperThreadTask*, js::AutoLockHelperThreadState&) /builds/worker/checkouts/gecko/js/src/vm/HelperThreads.cpp:2665:9
[task 2020-11-13T23:03:23.363Z] 23:03:23 INFO - GECKO(2634) | #19 0x7f508e661d41 in js::HelperThread::threadLoop() /builds/worker/checkouts/gecko/js/src/vm/HelperThreads.cpp:2637:25
[task 2020-11-13T23:03:23.364Z] 23:03:23 INFO - GECKO(2634) | #20 0x7f508e661b35 in js::HelperThread::ThreadMain(void*) /builds/worker/checkouts/gecko/js/src/vm/HelperThreads.cpp:2355:11
[task 2020-11-13T23:03:23.364Z] 23:03:23 INFO - GECKO(2634) | #21 0x7f508e6f47f7 in callMain<0> /builds/worker/checkouts/gecko/js/src/threading/Thread.h:217:5
[task 2020-11-13T23:03:23.364Z] 23:03:23 INFO - GECKO(2634) | #22 0x7f508e6f47f7 in js::detail::ThreadTrampoline<void (&)(void*), js::HelperThread*>::Start(void*) /builds/worker/checkouts/gecko/js/src/threading/Thread.h:206:11
[task 2020-11-13T23:03:23.364Z] 23:03:23 INFO - GECKO(2634) | #23 0x7f50a4cc66da in start_thread /build/glibc-2ORdQG/glibc-2.27/nptl/pthread_create.c:463
[task 2020-11-13T23:03:23.366Z] 23:03:23 INFO - GECKO(2634) | Direct leak of 8816 byte(s) in 3 object(s) allocated from:
[task 2020-11-13T23:03:23.366Z] 23:03:23 INFO - GECKO(2634) | #0 0x560023368bfd in malloc /builds/worker/fetches/llvm-project/llvm/projects/compiler-rt/lib/asan/asan_malloc_linux.cpp:145:3
[task 2020-11-13T23:03:23.366Z] 23:03:23 INFO - GECKO(2634) | #1 0x7f508e2634ed in js_arena_malloc /builds/worker/workspace/obj-build/dist/include/js/Utility.h:385:10
[task 2020-11-13T23:03:23.366Z] 23:03:23 INFO - GECKO(2634) | #2 0x7f508e2634ed in js_pod_arena_malloc<unsigned char> /builds/worker/workspace/obj-build/dist/include/js/Utility.h:593:26
[task 2020-11-13T23:03:23.366Z] 23:03:23 INFO - GECKO(2634) | #3 0x7f508e2634ed in maybe_pod_arena_malloc<unsigned char> /builds/worker/checkouts/gecko/js/src/vm/MallocProvider.h:53:12
[task 2020-11-13T23:03:23.368Z] 23:03:23 INFO - GECKO(2634) | #4 0x7f508e2634ed in unsigned char* js::MallocProvider<JSContext>::pod_arena_malloc<unsigned char>(unsigned long, unsigned long) /builds/worker/checkouts/gecko/js/src/vm/MallocProvider.h:105:12
[task 2020-11-13T23:03:23.368Z] 23:03:23 INFO - GECKO(2634) | #5 0x7f508e93c210 in pod_malloc<unsigned char> /builds/worker/checkouts/gecko/js/src/vm/MallocProvider.h:123:12
[task 2020-11-13T23:03:23.368Z] 23:03:23 INFO - GECKO(2634) | #6 0x7f508e93c210 in mozilla::UniquePtr<js::FunctionScope::AbstractData<JSAtom>, JS::DeletePolicy<js::FunctionScope::AbstractData<JSAtom> > > NewEmptyScopeData<js::FunctionScope, JSAtom>(JSContext*, unsigned int) /builds/worker/checkouts/gecko/js/src/vm/Scope.cpp:300:24
[task 2020-11-13T23:03:23.368Z] 23:03:23 INFO - GECKO(2634) | #7 0x7f508e8b966d in LiftParserScopeData<js::FunctionScope> /builds/worker/checkouts/gecko/js/src/vm/Scope.cpp:333:7
[task 2020-11-13T23:03:23.370Z] 23:03:23 INFO - GECKO(2634) | #8 0x7f508e8b966d in mozilla::UniquePtr<js::FunctionScope::Data, JS::DeletePolicy<js::FunctionScope::Data> > js::frontend::ScopeStencil::createSpecificScopeData<js::FunctionScope>(JSContext*, js::frontend::CompilationAtomCache&, js::frontend::CompilationGCOutput&) const /builds/worker/checkouts/gecko/js/src/vm/Scope.cpp:2161:41
[task 2020-11-13T23:03:23.370Z] 23:03:23 INFO - GECKO(2634) | #9 0x7f508e8bb182 in js::Scope* js::frontend::ScopeStencil::createSpecificScope<js::FunctionScope, js::CallObject>(JSContext*, js::frontend::CompilationInput&, js::frontend::CompilationGCOutput&) const /builds/worker/checkouts/gecko/js/src/vm/Scope.cpp:2222:7
[task 2020-11-13T23:03:23.370Z] 23:03:23 INFO - GECKO(2634) | #10 0x7f508ef34a3e in InstantiateScopes /builds/worker/checkouts/gecko/js/src/frontend/Stencil.cpp:329:24
[task 2020-11-13T23:03:23.370Z] 23:03:23 INFO - GECKO(2634) | #11 0x7f508ef34a3e in js::frontend::CompilationInfo::instantiateStencilsAfterPreparation(JSContext*, js::frontend::CompilationGCOutput&) /builds/worker/checkouts/gecko/js/src/frontend/Stencil.cpp:699:8
[task 2020-11-13T23:03:23.371Z] 23:03:23 INFO - GECKO(2634) | #12 0x7f508ee805ac in js::frontend::InstantiateStencils(JSContext*, js::frontend::CompilationInfo&, js::frontend::CompilationGCOutput&) /builds/worker/checkouts/gecko/js/src/frontend/BytecodeCompiler.cpp:333:26
[task 2020-11-13T23:03:23.375Z] 23:03:23 INFO - GECKO(2634) | #13 0x7f508e65316e in js::ParseTask::instantiateStencils(JSContext*) /builds/worker/checkouts/gecko/js/src/vm/HelperThreads.cpp:710:14
[task 2020-11-13T23:03:23.375Z] 23:03:23 INFO - GECKO(2634) | #14 0x7f508e6f1dca in ScriptParseTask<mozilla::Utf8Unit>::parse(JSContext*) /builds/worker/checkouts/gecko/js/src/vm/HelperThreads.cpp:699:15
[task 2020-11-13T23:03:23.377Z] 23:03:23 INFO - GECKO(2634) | #15 0x7f508e652ce6 in js::ParseTask::runTask(js::AutoLockHelperThreadState&) /builds/worker/checkouts/gecko/js/src/vm/HelperThreads.cpp:658:3
[task 2020-11-13T23:03:23.377Z] 23:03:23 INFO - GECKO(2634) | #16 0x7f508e65286d in js::ParseTask::runHelperThreadTask(js::AutoLockHelperThreadState&) /builds/worker/checkouts/gecko/js/src/vm/HelperThreads.cpp:614:3
[task 2020-11-13T23:03:23.377Z] 23:03:23 INFO - GECKO(2634) | #17 0x7f508e66458c in js::GlobalHelperThreadState::runTaskLocked(js::HelperThreadTask*, js::AutoLockHelperThreadState&) /builds/worker/checkouts/gecko/js/src/vm/HelperThreads.cpp:2665:9
[task 2020-11-13T23:03:23.377Z] 23:03:23 INFO - GECKO(2634) | #18 0x7f508e661d41 in js::HelperThread::threadLoop() /builds/worker/checkouts/gecko/js/src/vm/HelperThreads.cpp:2637:25
[task 2020-11-13T23:03:23.378Z] 23:03:23 INFO - GECKO(2634) | #19 0x7f508e661b35 in js::HelperThread::ThreadMain(void*) /builds/worker/checkouts/gecko/js/src/vm/HelperThreads.cpp:2355:11
[task 2020-11-13T23:03:23.379Z] 23:03:23 INFO - GECKO(2634) | #20 0x7f508e6f47f7 in callMain<0> /builds/worker/checkouts/gecko/js/src/threading/Thread.h:217:5
[task 2020-11-13T23:03:23.379Z] 23:03:23 INFO - GECKO(2634) | #21 0x7f508e6f47f7 in js::detail::ThreadTrampoline<void (&)(void*), js::HelperThread*>::Start(void*) /builds/worker/checkouts/gecko/js/src/threading/Thread.h:206:11
[task 2020-11-13T23:03:23.379Z] 23:03:23 INFO - GECKO(2634) | #22 0x7f50a4cc66da in start_thread /build/glibc-2ORdQG/glibc-2.27/nptl/pthread_create.c:463
[task 2020-11-13T23:03:23.379Z] 23:03:23 INFO - GECKO(2634) | Direct leak of 8192 byte(s) in 1 object(s) allocated from:
[task 2020-11-13T23:03:23.381Z] 23:03:23 INFO - GECKO(2634) | #0 0x560023368bfd in malloc /builds/worker/fetches/llvm-project/llvm/projects/compiler-rt/lib/asan/asan_malloc_linux.cpp:145:3
[task 2020-11-13T23:03:23.381Z] 23:03:23 INFO - GECKO(2634) | #1 0x7f508e3e495d in js_arena_malloc /builds/worker/workspace/obj-build/dist/include/js/Utility.h:385:10
[task 2020-11-13T23:03:23.381Z] 23:03:23 INFO - GECKO(2634) | #2 0x7f508e3e495d in js_pod_arena_malloc<unsigned char> /builds/worker/workspace/obj-build/dist/include/js/Utility.h:593:26
[task 2020-11-13T23:03:23.381Z] 23:03:23 INFO - GECKO(2634) | #3 0x7f508e3e495d in maybe_pod_arena_malloc<unsigned char> /builds/worker/checkouts/gecko/js/src/vm/MallocProvider.h:53:12
[task 2020-11-13T23:03:23.381Z] 23:03:23 INFO - GECKO(2634) | #4 0x7f508e3e495d in unsigned char* js::MallocProvider<JS::Zone>::pod_arena_malloc<unsigned char>(unsigned long, unsigned long) /builds/worker/checkouts/gecko/js/src/vm/MallocProvider.h:105:12
[task 2020-11-13T23:03:23.383Z] 23:03:23 INFO - GECKO(2634) | #5 0x7f508e98da13 in AllocChars<unsigned char> /builds/worker/checkouts/gecko/js/src/vm/StringType.cpp:437:20
[task 2020-11-13T23:03:23.383Z] 23:03:23 INFO - GECKO(2634) | #6 0x7f508e98da13 in JSLinearString* JSRope::flattenInternal<(JSRope::UsingBarrier)1, unsigned char>(JSContext*) /builds/worker/checkouts/gecko/js/src/vm/StringType.cpp:743:8
[task 2020-11-13T23:03:23.383Z] 23:03:23 INFO - GECKO(2634) | #7 0x7f508e94d204 in flattenInternal<JSRope::NoBarrier> /builds/worker/checkouts/gecko/js/src/vm/StringType.cpp:847:10
[task 2020-11-13T23:03:23.383Z] 23:03:23 INFO - GECKO(2634) | #8 0x7f508e94d204 in JSRope::flatten(JSContext*) /builds/worker/checkouts/gecko/js/src/vm/StringType.cpp:859:10
[task 2020-11-13T23:03:23.384Z] 23:03:23 INFO - GECKO(2634) | #9 0x7f508faac83e in ensureLinear /builds/worker/checkouts/gecko/js/src/vm/StringType.h:1790:46
[task 2020-11-13T23:03:23.387Z] 23:03:23 INFO - GECKO(2634) | #10 0x7f508faac83e in ExecuteRegExp(JSContext*, JS::Handle<JSObject*>, JS::Handle<JSString*>, int, js::VectorMatchPairs*) /builds/worker/checkouts/gecko/js/src/builtin/RegExp.cpp:1018:40
[task 2020-11-13T23:03:23.387Z] 23:03:23 INFO - GECKO(2634) | #11 0x7f508faaaa0a in RegExpMatcherImpl(JSContext*, JS::Handle<JSObject*>, JS::Handle<JSString*>, int, JS::MutableHandle<JS::Value>) /builds/worker/checkouts/gecko/js/src/builtin/RegExp.cpp:1081:7
[task 2020-11-13T23:03:23.387Z] 23:03:23 INFO - GECKO(2634) | #12 0x7f508faaa470 in js::RegExpMatcher(JSContext*, unsigned int, JS::Value*) /builds/worker/checkouts/gecko/js/src/builtin/RegExp.cpp:1115:10
[task 2020-11-13T23:03:23.387Z] 23:03:23 INFO - GECKO(2634) | #13 0x7f508e2a83c4 in CallJSNative /builds/worker/checkouts/gecko/js/src/vm/Interpreter.cpp:507:13
[task 2020-11-13T23:03:23.388Z] 23:03:23 INFO - GECKO(2634) | #14 0x7f508e2a83c4 in js::InternalCallOrConstruct(JSContext*, JS::CallArgs const&, js::MaybeConstruct, js::CallReason) /builds/worker/checkouts/gecko/js/src/vm/Interpreter.cpp:599:12
[task 2020-11-13T23:03:23.388Z] 23:03:23 INFO - GECKO(2634) | #15 0x7f508e2aa79e in InternalCall(JSContext*, js::AnyInvokeArgs const&, js::CallReason) /builds/worker/checkouts/gecko/js/src/vm/Interpreter.cpp:664:10
[task 2020-11-13T23:03:23.388Z] 23:03:23 INFO - GECKO(2634) | #16 0x7f508e291196 in CallFromStack /builds/worker/checkouts/gecko/js/src/vm/Interpreter.cpp:668:10
[task 2020-11-13T23:03:23.388Z] 23:03:23 INFO - GECKO(2634) | #17 0x7f508e291196 in Interpret(JSContext*, js::RunState&) /builds/worker/checkouts/gecko/js/src/vm/Interpreter.cpp:3337:16
[task 2020-11-13T23:03:23.392Z] 23:03:23 INFO - GECKO(2634) | #18 0x7f508e271bf6 in js::RunScript(JSContext*, js::RunState&) /builds/worker/checkouts/gecko/js/src/vm/Interpreter.cpp:477:13
[task 2020-11-13T23:03:23.392Z] 23:03:23 INFO - GECKO(2634) | #19 0x7f508e2ace5f in js::ExecuteKernel(JSContext*, JS::Handle<JSScript*>, JS::Handle<JSObject*>, JS::Handle<JS::Value>, js::AbstractFramePtr, JS::MutableHandle<JS::Value>) /builds/worker/checkouts/gecko/js/src/vm/Interpreter.cpp:856:13
[task 2020-11-13T23:03:23.392Z] 23:03:23 INFO - GECKO(2634) | #20 0x7f508e2ad41c in js::Execute(JSContext*, JS::Handle<JSScript*>, JS::Handle<JSObject*>, JS::MutableHandle<JS::Value>) /builds/worker/checkouts/gecko/js/src/vm/Interpreter.cpp:888:10
[task 2020-11-13T23:03:23.394Z] 23:03:23 INFO - GECKO(2634) | #21 0x7f508e5185f3 in ExecuteScript(JSContext*, JS::Handle<JSObject*>, JS::Handle<JSScript*>, JS::MutableHandle<JS::Value>) /builds/worker/checkouts/gecko/js/src/vm/CompilationAndEvaluation.cpp:424:10
[task 2020-11-13T23:03:23.394Z] 23:03:23 INFO - GECKO(2634) | #22 0x7f508e518d60 in ExecuteScript(JSContext*, JS::Handle<JS::StackGCVector<JSObject*, js::TempAllocPolicy> >, JS::Handle<JSScript*>, JS::MutableHandle<JS::Value>) /builds/worker/checkouts/gecko/js/src/vm/CompilationAndEvaluation.cpp:443:10
[task 2020-11-13T23:03:23.395Z] 23:03:23 INFO - GECKO(2634) | #23 0x7f508e5190e4 in JS_ExecuteScript(JSContext*, JS::Handle<JS::StackGCVector<JSObject*, js::TempAllocPolicy> >, JS::Handle<JSScript*>) /builds/worker/checkouts/gecko/js/src/vm/CompilationAndEvaluation.cpp:469:10
[task 2020-11-13T23:03:23.395Z] 23:03:23 INFO - GECKO(2634) | #24 0x7f5086259ed5 in nsJSUtils::ExecutionContext::ExecScript() /builds/worker/checkouts/gecko/dom/base/nsJSUtils.cpp:339:8
[task 2020-11-13T23:03:23.396Z] 23:03:23 INFO - GECKO(2634) | #25 0x7f508a2af93a in mozilla::dom::ExecuteCompiledScript(JSContext*, mozilla::dom::ScriptLoadRequest*, nsJSUtils::ExecutionContext&, mozilla::dom::ClassicScript*) /builds/worker/checkouts/gecko/dom/script/ScriptLoader.cpp:2779:16
[task 2020-11-13T23:03:23.397Z] 23:03:23 INFO - GECKO(2634) | #26 0x7f508a2ace77 in mozilla::dom::ScriptLoader::EvaluateScript(mozilla::dom::ScriptLoadRequest*) /builds/worker/checkouts/gecko/dom/script/ScriptLoader.cpp:2994:20
[task 2020-11-13T23:03:23.397Z] 23:03:23 INFO - GECKO(2634) | #27 0x7f508a2a5f9c in mozilla::dom::ScriptLoader::ProcessRequest(mozilla::dom::ScriptLoadRequest*) /builds/worker/checkouts/gecko/dom/script/ScriptLoader.cpp:2509:10
[task 2020-11-13T23:03:23.397Z] 23:03:23 INFO - GECKO(2634) | #28 0x7f508a2c0faf in mozilla::dom::(anonymous namespace)::NotifyOffThreadScriptLoadCompletedRunnable::Run() /builds/worker/checkouts/gecko/dom/script/ScriptLoader.cpp:2209:18
[task 2020-11-13T23:03:23.398Z] 23:03:23 INFO - GECKO(2634) | #29 0x7f5082fe346d in mozilla::SchedulerGroup::Runnable::Run() /builds/worker/checkouts/gecko/xpcom/threads/SchedulerGroup.cpp:146:20
[task 2020-11-13T23:03:23.400Z] 23:03:23 INFO - GECKO(2634) | #30 0x7f5082fef579 in mozilla::RunnableTask::Run() /builds/worker/checkouts/gecko/xpcom/threads/TaskController.cpp:450:16
[task 2020-11-13T23:03:23.400Z] 23:03:23 INFO - GECKO(2634) | #31 0x7f5082fec037 in mozilla::TaskController::DoExecuteNextTaskOnlyMainThreadInternal(mozilla::detail::BaseAutoLock<mozilla::Mutex&> const&) /builds/worker/checkouts/gecko/xpcom/threads/TaskController.cpp:720:26
[task 2020-11-13T23:03:23.400Z] 23:03:23 INFO - GECKO(2634) | #32 0x7f5082fe9f77 in mozilla::TaskController::ExecuteNextTaskOnlyMainThreadInternal(mozilla::detail::BaseAutoLock<mozilla::Mutex&> const&) /builds/worker/checkouts/gecko/xpcom/threads/TaskController.cpp:579:15
[task 2020-11-13T23:03:23.400Z] 23:03:23 INFO - GECKO(2634) | #33 0x7f5082fea3cd in mozilla::TaskController::ProcessPendingMTTask(bool) /builds/worker/checkouts/gecko/xpcom/threads/TaskController.cpp:373:36
[task 2020-11-13T23:03:23.404Z] 23:03:23 INFO - GECKO(2634) | #34 0x7f5082ff7061 in operator() /builds/worker/checkouts/gecko/xpcom/threads/TaskController.cpp:120:37
[task 2020-11-13T23:03:23.404Z] 23:03:23 INFO - GECKO(2634) | #35 0x7f5082ff7061 in mozilla::detail::RunnableFunction<mozilla::TaskController::InitializeInternal()::$_3>::Run() /builds/worker/workspace/obj-build/dist/include/nsThreadUtils.h:577:5
[task 2020-11-13T23:03:23.404Z] 23:03:23 INFO - GECKO(2634) | #36 0x7f5083017c3b in nsThread::ProcessNextEvent(bool, bool*) /builds/worker/checkouts/gecko/xpcom/threads/nsThread.cpp:1197:14
[task 2020-11-13T23:03:23.404Z] 23:03:23 INFO - GECKO(2634) | #37 0x7f508302293c in NS_ProcessNextEvent(nsIThread*, bool) /builds/worker/checkouts/gecko/xpcom/threads/nsThreadUtils.cpp:513:10
[task 2020-11-13T23:03:23.404Z] 23:03:23 INFO - GECKO(2634) | #38 0x7f50841c25ea in mozilla::ipc::MessagePump::Run(base::MessagePump::Delegate*) /builds/worker/checkouts/gecko/ipc/glue/MessagePump.cpp:87:21
[task 2020-11-13T23:03:23.404Z] 23:03:23 INFO - GECKO(2634) | Direct leak of 6528 byte(s) in 58 object(s) allocated from:
[task 2020-11-13T23:03:23.405Z] 23:03:23 INFO - GECKO(2634) | #0 0x560023368bfd in malloc /builds/worker/fetches/llvm-project/llvm/projects/compiler-rt/lib/asan/asan_malloc_linux.cpp:145:3
[task 2020-11-13T23:03:23.405Z] 23:03:23 INFO - GECKO(2634) | #1 0x7f508f07030a in js_arena_malloc /builds/worker/workspace/obj-build/dist/include/js/Utility.h:385:10
[task 2020-11-13T23:03:23.405Z] 23:03:23 INFO - GECKO(2634) | #2 0x7f508f07030a in js_pod_arena_malloc<js::HeapSlot> /builds/worker/workspace/obj-build/dist/include/js/Utility.h:593:26
[task 2020-11-13T23:03:23.405Z] 23:03:23 INFO - GECKO(2634) | #3 0x7f508f07030a in maybe_pod_arena_malloc<js::HeapSlot> /builds/worker/checkouts/gecko/js/src/vm/MallocProvider.h:53:12
[task 2020-11-13T23:03:23.415Z] 23:03:23 INFO - GECKO(2634) | #4 0x7f508f07030a in js::HeapSlot* js::MallocProvider<JS::Zone>::pod_arena_malloc<js::HeapSlot>(unsigned long, unsigned long) /builds/worker/checkouts/gecko/js/src/vm/MallocProvider.h:105:12
[task 2020-11-13T23:03:23.415Z] 23:03:23 INFO - GECKO(2634) | #5 0x7f508f04407c in pod_malloc<js::HeapSlot> /builds/worker/checkouts/gecko/js/src/vm/MallocProvider.h:123:12
[task 2020-11-13T23:03:23.415Z] 23:03:23 INFO - GECKO(2634) | #6 0x7f508f04407c in js::TenuringTracer::moveSlotsToTenured(js::NativeObject*, js::NativeObject*) /builds/worker/checkouts/gecko/js/src/gc/Marking.cpp:3403:15
[task 2020-11-13T23:03:23.415Z] 23:03:23 INFO - GECKO(2634) | #7 0x7f508f03fe0c in js::TenuringTracer::moveToTenuredSlow(JSObject*) /builds/worker/checkouts/gecko/js/src/gc/Marking.cpp:3328:20
[task 2020-11-13T23:03:23.415Z] 23:03:23 INFO - GECKO(2634) | #8 0x7f508f03f875 in void js::TenuringTracer::traverse<JSObject>(JSObject**) /builds/worker/checkouts/gecko/js/src/gc/Marking.cpp:2912:11
[task 2020-11-13T23:03:23.415Z] 23:03:23 INFO - GECKO(2634) | #9 0x7f508f0424f2 in trace /builds/worker/checkouts/gecko/js/src/gc/Marking.cpp:3186:9
[task 2020-11-13T23:03:23.415Z] 23:03:23 INFO - GECKO(2634) | #10 0x7f508f0424f2 in js::gc::StoreBuffer::MonoTypeBuffer<js::gc::StoreBuffer::CellPtrEdge<JSObject> >::trace(js::TenuringTracer&) /builds/worker/checkouts/gecko/js/src/gc/Marking.cpp:2958:15
[task 2020-11-13T23:03:23.415Z] 23:03:23 INFO - GECKO(2634) | #11 0x7f508f055ad2 in js::Nursery::doCollection(JS::GCReason, js::gc::TenureCountCache&) /builds/worker/checkouts/gecko/js/src/gc/Nursery.cpp:1149:6
[task 2020-11-13T23:03:23.415Z] 23:03:23 INFO - GECKO(2634) | #12 0x7f508f054cfb in js::Nursery::collect(JSGCInvocationKind, JS::GCReason) /builds/worker/checkouts/gecko/js/src/gc/Nursery.cpp:1012:31
[task 2020-11-13T23:03:23.415Z] 23:03:23 INFO - GECKO(2634) | #13 0x7f508effeb68 in js::gc::GCRuntime::collectNursery(JSGCInvocationKind, JS::GCReason, js::gcstats::PhaseKind) /builds/worker/checkouts/gecko/js/src/gc/GC.cpp:7688:13
[task 2020-11-13T23:03:23.415Z] 23:03:23 INFO - GECKO(2634) | #14 0x7f508f002105 in js::gc::GCRuntime::minorGC(JS::GCReason, js::gcstats::PhaseKind) /builds/worker/checkouts/gecko/js/src/gc/GC.cpp:7661:3
[task 2020-11-13T23:03:23.415Z] 23:03:23 INFO - GECKO(2634) | #15 0x7f508efaadfd in JSObject* js::gc::GCRuntime::tryNewNurseryObject<(js::AllowGC)1>(JSContext*, unsigned long, unsigned long, JSClass const*) /builds/worker/checkouts/gecko/js/src/gc/Allocator.cpp:115:23
[task 2020-11-13T23:03:23.415Z] 23:03:23 INFO - GECKO(2634) | #16 0x7f508efaab7d in JSObject* js::AllocateObject<(js::AllowGC)1>(JSContext*, js::gc::AllocKind, unsigned long, js::gc::InitialHeap, JSClass const*) /builds/worker/checkouts/gecko/js/src/gc/Allocator.cpp:67:28
[task 2020-11-13T23:03:23.415Z] 23:03:23 INFO - GECKO(2634) | #17 0x7f508e495164 in js::NativeObject::create(JSContext*, js::gc::AllocKind, js::gc::InitialHeap, JS::Handle<js::Shape*>, JS::Handle<js::ObjectGroup*>) /builds/worker/checkouts/gecko/js/src/vm/NativeObject-inl.h:546:19
[task 2020-11-13T23:03:23.415Z] 23:03:23 INFO - GECKO(2634) | #18 0x7f508e73eba1 in NewObject(JSContext*, JS::Handle<js::ObjectGroup*>, js::gc::AllocKind, js::NewObjectKind, unsigned int) /builds/worker/checkouts/gecko/js/src/vm/JSObject.cpp:797:5
[task 2020-11-13T23:03:23.415Z] 23:03:23 INFO - GECKO(2634) | #19 0x7f508e73f6c8 in js::NewObjectWithClassProto(JSContext*, JSClass const*, JS::Handle<JSObject*>, js::gc::AllocKind, js::NewObjectKind) /builds/worker/checkouts/gecko/js/src/vm/JSObject.cpp:931:19
[task 2020-11-13T23:03:23.415Z] 23:03:23 INFO - GECKO(2634) | #20 0x7f508e2c1861 in NewBuiltinClassInstance /builds/worker/checkouts/gecko/js/src/vm/JSObject-inl.h:555:10
[task 2020-11-13T23:03:23.415Z] 23:03:23 INFO - GECKO(2634) | #21 0x7f508e2c1861 in NewBuiltinClassInstance<js::PlainObject> /builds/worker/checkouts/gecko/js/src/vm/JSObject-inl.h:587:19
[task 2020-11-13T23:03:23.423Z] 23:03:23 INFO - GECKO(2634) | #22 0x7f508e2c1861 in js::CopyInitializerObject(JSContext*, JS::Handle<js::PlainObject*>, js::NewObjectKind) /builds/worker/checkouts/gecko/js/src/vm/PlainObject-inl.h:66:11
[task 2020-11-13T23:03:23.423Z] 23:03:23 INFO - GECKO(2634) | #23 0x7f508e2c1fdd in js::NewObjectOperationWithTemplate(JSContext*, JS::Handle<JSObject*>) /builds/worker/checkouts/gecko/js/src/vm/Interpreter.cpp:5493:7
[task 2020-11-13T23:03:23.423Z] 23:03:23 INFO - GECKO(2634) | #24 0x7f508f1e0277 in js::jit::DoNewObjectFallback(JSContext*, js::jit::BaselineFrame*, js::jit::ICNewObject_Fallback*, JS::MutableHandle<JS::Value>) /builds/worker/checkouts/gecko/js/src/jit/BaselineIC.cpp:3950:11
[task 2020-11-13T23:03:23.423Z] 23:03:23 INFO - GECKO(2634) | #25 0x7f4ff88db09f (<unknown module>)
[task 2020-11-13T23:03:23.423Z] 23:03:23 INFO - GECKO(2634) | #26 0x7f4ff88ea425 (<unknown module>)
[task 2020-11-13T23:03:23.423Z] 23:03:23 INFO - GECKO(2634) | #27 0x62100011f48f (<unknown module>)
[task 2020-11-13T23:03:23.441Z] 23:03:23 INFO - GECKO(2634) | #28 0x7f4ff88ea425 (<unknown module>)
[task 2020-11-13T23:03:23.441Z] 23:03:23 INFO - GECKO(2634) | #29 0x62100012ec3f (<unknown module>)
[task 2020-11-13T23:03:23.441Z] 23:03:23 INFO - GECKO(2634) | #30 0x7f4ff88e4172 (<unknown module>)
[task 2020-11-13T23:03:23.457Z] 23:03:23 INFO - GECKO(2634) | #31 0x62100013f12f (<unknown module>)
[task 2020-11-13T23:03:23.460Z] 23:03:23 INFO - GECKO(2634) | #32 0x7f4ff88d456e (<unknown module>)
[task 2020-11-13T23:03:23.461Z] 23:03:23 INFO - GECKO(2634) | #33 0x7f508f682fd1 in EnterJit /builds/worker/checkouts/gecko/js/src/jit/Jit.cpp:108:5
[task 2020-11-13T23:03:23.461Z] 23:03:23 INFO - GECKO(2634) | #34 0x7f508f682fd1 in js::jit::MaybeEnterJit(JSContext*, js::RunState&) /builds/worker/checkouts/gecko/js/src/jit/Jit.cpp:199:10
[task 2020-11-13T23:03:23.463Z] 23:03:23 INFO - GECKO(2634) | #35 0x7f508e291841 in Interpret(JSContext*, js::RunState&) /builds/worker/checkouts/gecko/js/src/vm/Interpreter.cpp:3383:40
[task 2020-11-13T23:03:23.464Z] 23:03:23 INFO - GECKO(2634) | #36 0x7f508e271bf6 in js::RunScript(JSContext*, js::RunState&) /builds/worker/checkouts/gecko/js/src/vm/Interpreter.cpp:477:13
[task 2020-11-13T23:03:23.464Z] 23:03:23 INFO - GECKO(2634) | #37 0x7f508e2ace5f in js::ExecuteKernel(JSContext*, JS::Handle<JSScript*>, JS::Handle<JSObject*>, JS::Handle<JS::Value>, js::AbstractFramePtr, JS::MutableHandle<JS::Value>) /builds/worker/checkouts/gecko/js/src/vm/Interpreter.cpp:856:13
[task 2020-11-13T23:03:23.466Z] 23:03:23 INFO - GECKO(2634) | Direct leak of 5796 byte(s) in 207 object(s) allocated from:
[task 2020-11-13T23:03:23.466Z] 23:03:23 INFO - GECKO(2634) | #0 0x560023368bfd in malloc /builds/worker/fetches/llvm-project/llvm/projects/compiler-rt/lib/asan/asan_malloc_linux.cpp:145:3
[task 2020-11-13T23:03:23.467Z] 23:03:23 INFO - GECKO(2634) | #1 0x7f508e2634ed in js_arena_malloc /builds/worker/workspace/obj-build/dist/include/js/Utility.h:385:10
[task 2020-11-13T23:03:23.467Z] 23:03:23 INFO - GECKO(2634) | #2 0x7f508e2634ed in js_pod_arena_malloc<unsigned char> /builds/worker/workspace/obj-build/dist/include/js/Utility.h:593:26
[task 2020-11-13T23:03:23.468Z] 23:03:23 INFO - GECKO(2634) | #3 0x7f508e2634ed in maybe_pod_arena_malloc<unsigned char> /builds/worker/checkouts/gecko/js/src/vm/MallocProvider.h:53:12
[task 2020-11-13T23:03:23.474Z] 23:03:23 INFO - GECKO(2634) | #4 0x7f508e2634ed in unsigned char* js::MallocProvider<JSContext>::pod_arena_malloc<unsigned char>(unsigned long, unsigned long) /builds/worker/checkouts/gecko/js/src/vm/MallocProvider.h:105:12
[task 2020-11-13T23:03:23.475Z] 23:03:23 INFO - GECKO(2634) | #5 0x7f508e95c103 in make_pod_arena_array<unsigned char> /builds/worker/checkouts/gecko/js/src/vm/MallocProvider.h:149:43
[task 2020-11-13T23:03:23.476Z] 23:03:23 INFO - GECKO(2634) | #6 0x7f508e95c103 in JSLinearString* js::NewStringCopyNDontDeflate<(js::AllowGC)0, unsigned char>(JSContext*, unsigned char const*, unsigned long, js::gc::InitialHeap) /builds/worker/checkouts/gecko/js/src/vm/StringType.cpp:1713:19
[task 2020-11-13T23:03:23.476Z] 23:03:23 INFO - GECKO(2634) | #7 0x7f508e6a2e17 in MakeLinearStringForAtomization<unsigned char> /builds/worker/checkouts/gecko/js/src/vm/JSAtom.cpp:896:10
[task 2020-11-13T23:03:23.477Z] 23:03:23 INFO - GECKO(2634) | #8 0x7f508e6a2e17 in AllocateNewAtom<const unsigned char > /builds/worker/checkouts/gecko/js/src/vm/JSAtom.cpp:961:28
[task 2020-11-13T23:03:23.477Z] 23:03:23 INFO - GECKO(2634) | #9 0x7f508e6a2e17 in atomizeAndCopyChars<const unsigned char > /builds/worker/checkouts/gecko/js/src/vm/JSAtom.cpp:811:18
[task 2020-11-13T23:03:23.478Z] 23:03:23 INFO - GECKO(2634) | #10 0x7f508e6a2e17 in AtomizeAndCopyCharsFromLookup<const unsigned char > /builds/worker/checkouts/gecko/js/src/vm/JSAtom.cpp:740:30
[task 2020-11-13T23:03:23.478Z] 23:03:23 INFO - GECKO(2634) | #11 0x7f508e6a2e17 in AtomizeAndCopyChars<unsigned char> /builds/worker/checkouts/gecko/js/src/vm/JSAtom.cpp:839:10
[task 2020-11-13T23:03:23.479Z] 23:03:23 INFO - GECKO(2634) | #12 0x7f508e6a2e17 in JSAtom
js::AtomizeChars<unsigned char>(JSContext
, unsigned char const
, unsigned long, js::PinningBehavior) /builds/worker/checkouts/gecko/js/src/vm/JSAtom.cpp:1079:10
[task 2020-11-13T23:03:23.479Z] 23:03:23 INFO - GECKO(2634) | #13 0x7f508e484237 in js::StringBuffer::finishAtom() /builds/worker/checkouts/gecko/js/src/util/StringBuffer.cpp:147:20
[task 2020-11-13T23:03:23.479Z] 23:03:23 INFO - GECKO(2634) | #14 0x7f508e72518b in NameToFunctionName(JSContext*, JS::Handle<JS::Value>, js::FunctionPrefixKind) /builds/worker/checkouts/gecko/js/src/vm/JSFunction.cpp:2423:13
[task 2020-11-13T23:03:23.479Z] 23:03:23 INFO - GECKO(2634) | #15 0x7f508e724942 in js::IdToFunctionName(JSContext*, JS::Handle<JS::PropertyKey>, js::FunctionPrefixKind) /builds/worker/checkouts/gecko/js/src/vm/JSFunction.cpp:2455:10
[task 2020-11-13T23:03:23.479Z] 23:03:23 INFO - GECKO(2634) | #16 0x7f508ec15c5a in DefineAccessorPropertyById(JSContext*, JS::Handle<JSObject*>, JS::Handle<JS::PropertyKey>, JSNativeWrapper const&, JSNativeWrapper const&, unsigned int) /builds/worker/checkouts/gecko/js/src/jsapi.cpp:2129:25
[task 2020-11-13T23:03:23.479Z] 23:03:23 INFO - GECKO(2634) | #17 0x7f508ec22a90 in JS_DefineProperties(JSContext*, JS::Handle<JSObject*>, JSPropertySpec const*) /builds/worker/checkouts/gecko/js/src/jsapi.cpp:3118:14
[task 2020-11-13T23:03:23.479Z] 23:03:23 INFO - GECKO(2634) | #18 0x7f5087d3459d in Define /builds/worker/checkouts/gecko/dom/bindings/BindingUtils.cpp:713:10
[task 2020-11-13T23:03:23.479Z] 23:03:23 INFO - GECKO(2634) | #19 0x7f5087d3459d in bool mozilla::dom::DefinePrefable<JSPropertySpec const>(JSContext*, JS::Handle<JSObject*>, mozilla::dom::Prefable<JSPropertySpec const> const*) /builds/worker/checkouts/gecko/dom/bindings/BindingUtils.cpp:728:12
[task 2020-11-13T23:03:23.479Z] 23:03:23 INFO - GECKO(2634) | #20 0x7f5087d34959 in mozilla::dom::DefineProperties(JSContext*, JS::Handle<JSObject*>, mozilla::dom::NativePropertiesN<7> const*, mozilla::dom::NativePropertiesN<7> const*) /builds/worker/checkouts/gecko/dom/bindings/BindingUtils.cpp:981:10
[task 2020-11-13T23:03:23.479Z] 23:03:23 INFO - GECKO(2634) | #21 0x7f5087d34fde in CreateInterfacePrototypeObject /builds/worker/checkouts/gecko/dom/bindings/BindingUtils.cpp:941:9
[task 2020-11-13T23:03:23.479Z] 23:03:23 INFO - GECKO(2634) | #22 0x7f5087d34fde in mozilla::dom::CreateInterfaceObjects(JSContext*, JS::Handle<JSObject*>, JS::Handle<JSObject*>, JSClass const*, JS::Heap<JSObject*>, JS::Handle<JSObject>, JSClass const*, unsigned int, mozilla::dom::NamedConstructor const*, JS::Heap<JSObject*>, mozilla::dom::NativePropertiesN<7> const, mozilla::dom::NativePropertiesN<7> const*, char const*, bool, char const* const*, bool, char const* const*) /builds/worker/checkouts/gecko/dom/bindings/BindingUtils.cpp:1052:13
[task 2020-11-13T23:03:23.479Z] 23:03:23 INFO - GECKO(2634) | #23 0x7f50863de91a in mozilla::dom::CSS2Properties_Binding::CreateInterfaceObjects(JSContext*, JS::Handle<JSObject*>, mozilla::dom::ProtoAndIfaceCache&, bool) /builds/worker/workspace/obj-build/dom/bindings/CSS2PropertiesBinding.cpp:57236:3
[task 2020-11-13T23:03:23.479Z] 23:03:23 INFO - GECKO(2634) | #24 0x7f5087d4a3ad in mozilla::dom::GetPerInterfaceObjectHandle(JSContext*, unsigned long, void ()(JSContext, JS::Handle<JSObject*>, mozilla::dom::ProtoAndIfaceCache&, bool), bool) /builds/worker/checkouts/gecko/dom/bindings/BindingUtils.cpp:4224:5
[task 2020-11-13T23:03:23.480Z] 23:03:23 INFO - GECKO(2634) | #25 0x7f50863dd8a4 in GetProtoObjectHandle /builds/worker/workspace/obj-build/dist/include/mozilla/dom/CSS2PropertiesBinding.h:59:12
[task 2020-11-13T23:03:23.480Z] 23:03:23 INFO - GECKO(2634) | #26 0x7f50863dd8a4 in mozilla::dom::CSS2Properties_Binding::Wrap(JSContext*, nsDOMCSSDeclaration*, nsWrapperCache*, JS::Handle<JSObject*>, JS::MutableHandle<JSObject*>) /builds/worker/workspace/obj-build/dom/bindings/CSS2PropertiesBinding.cpp:57145:42
[task 2020-11-13T23:03:23.480Z] 23:03:23 INFO - GECKO(2634) | #27 0x7f508aadee9a in Wrap<nsDOMCSSDeclaration> /builds/worker/workspace/obj-build/dist/include/mozilla/dom/CSS2PropertiesBinding.h:40:12
[task 2020-11-13T23:03:23.481Z] 23:03:23 INFO - GECKO(2634) | #28 0x7f508aadee9a in WrapObject /builds/worker/checkouts/gecko/layout/style/nsDOMCSSDeclaration.cpp:31:10
[task 2020-11-13T23:03:23.482Z] 23:03:23 INFO - GECKO(2634) | #29 0x7f508aadee9a in non-virtual thunk to nsDOMCSSDeclaration::WrapObject(JSContext*, JS::Handle<JSObject*>) /builds/worker/checkouts/gecko/layout/style/nsDOMCSSDeclaration.cpp
[task 2020-11-13T23:03:23.482Z] 23:03:23 INFO - GECKO(2634) | #30 0x7f5087b00967 in DoGetOrCreateDOMReflector<nsICSSDeclaration, mozilla::dom::binding_detail::eWrapIntoContextCompartment> /builds/worker/workspace/obj-build/dist/include/mozilla/dom/BindingUtils.h:1042:18
[task 2020-11-13T23:03:23.483Z] 23:03:23 INFO - GECKO(2634) | #31 0x7f5087b00967 in GetOrCreateDOMReflector<nsICSSDeclaration> /builds/worker/workspace/obj-build/dist/include/mozilla/dom/BindingUtils.h:1108:10
[task 2020-11-13T23:03:23.483Z] 23:03:23 INFO - GECKO(2634) | #32 0x7f5087b00967 in mozilla::dom::HTMLElement_Binding::get_style(JSContext*, JS::Handle<JSObject*>, void*, JSJitGetterCallArgs) /builds/worker/workspace/obj-build/dom/bindings/HTMLElementBinding.cpp:1815:8
[task 2020-11-13T23:03:23.484Z] 23:03:23 INFO - GECKO(2634) | #33 0x7f5087d247e0 in bool mozilla::dom::binding_detail::GenericGetter<mozilla::dom::binding_detail::NormalThisPolicy, mozilla::dom::binding_detail::ThrowExceptions>(JSContext*, unsigned int, JS::Value*) /builds/worker/checkouts/gecko/dom/bindings/BindingUtils.cpp:3111:13
[task 2020-11-13T23:03:23.484Z] 23:03:23 INFO - GECKO(2634) | #34 0x7f508e2a83c4 in CallJSNative /builds/worker/checkouts/gecko/js/src/vm/Interpreter.cpp:507:13
[task 2020-11-13T23:03:23.484Z] 23:03:23 INFO - GECKO(2634) | #35 0x7f508e2a83c4 in js::InternalCallOrConstruct(JSContext*, JS::CallArgs const&, js::MaybeConstruct, js::CallReason) /builds/worker/checkouts/gecko/js/src/vm/Interpreter.cpp:599:12
[task 2020-11-13T23:03:23.484Z] 23:03:23 INFO - GECKO(2634) | #36 0x7f508e2aa79e in InternalCall(JSContext*, js::AnyInvokeArgs const&, js::CallReason) /builds/worker/checkouts/gecko/js/src/vm/Interpreter.cpp:664:10
[task 2020-11-13T23:03:23.485Z] 23:03:23 INFO - GECKO(2634) | #37 0x7f508e2aab20 in js::Call(JSContext*, JS::Handle<JS::Value>, JS::Handle<JS::Value>, js::AnyInvokeArgs const&, JS::MutableHandle<JS::Value>, js::CallReason) /builds/worker/checkouts/gecko/js/src/vm/Interpreter.cpp:681:8
[task 2020-11-13T23:03:23.486Z] 23:03:23 INFO - GECKO(2634) | #38 0x7f508e2ac4a8 in js::CallGetter(JSContext*, JS::Handle<JS::Value>, JS::Handle<JS::Value>, JS::MutableHandle<JS::Value>) /builds/worker/checkouts/gecko/js/src/vm/Interpreter.cpp:805:10
[task 2020-11-13T23:03:23.486Z] 23:03:23 INFO - GECKO(2634) | #39 0x7f508e7f9c1c in CallGetter /builds/worker/checkouts/gecko/js/src/vm/NativeObject.cpp:2382:12
[task 2020-11-13T23:03:23.486Z] 23:03:23 INFO - GECKO(2634) | #40 0x7f508e7f9c1c in GetExistingProperty<js::CanGC> /builds/worker/checkouts/gecko/js/src/vm/NativeObject.cpp:2434:12
[task 2020-11-13T23:03:23.487Z] 23:03:23 INFO - GECKO(2634) | #41 0x7f508e7f9c1c in NativeGetPropertyInline<js::CanGC> /builds/worker/checkouts/gecko/js/src/vm/NativeObject.cpp:2579:14
[task 2020-11-13T23:03:23.487Z] 23:03:23 INFO - GECKO(2634) | #42 0x7f508e7f9c1c in js::NativeGetProperty(JSContext*, JS::Handle<js::NativeObject*>, JS::Handle<JS::Value>, JS::Handle<JS::PropertyKey>, JS::MutableHandle<JS::Value>) /builds/worker/checkouts/gecko/js/src/vm/NativeObject.cpp:2616:10
[task 2020-11-13T23:03:23.487Z] 23:03:23 INFO - GECKO(2634) | #43 0x7f508e2b38e9 in GetProperty /builds/worker/checkouts/gecko/js/src/vm/ObjectOperations-inl.h:117:10
[task 2020-11-13T23:03:23.488Z] 23:03:23 INFO - GECKO(2634) | #44 0x7f508e2b38e9 in js::GetProperty(JSContext*, JS::Handle<JSObject*>, JS::Handle<JS::Value>, js::PropertyName*, JS::MutableHandle<JS::Value>) /builds/worker/checkouts/gecko/js/src/vm/ObjectOperations-inl.h:124:10
[task 2020-11-13T23:03:23.488Z] 23:03:23 INFO - GECKO(2634) | #45 0x7f508e2b27ff in js::GetProperty(JSContext*, JS::Handle<JS::Value>, JS::Handle<js::PropertyName*>, JS::MutableHandle<JS::Value>) /builds/worker/checkouts/gecko/js/src/vm/Interpreter.cpp:4727:10
[task 2020-11-13T23:03:23.489Z] 23:03:23 INFO - GECKO(2634) | #46 0x7f508e28db4b in GetPropertyOperation /builds/worker/checkouts/gecko/js/src/vm/Interpreter.cpp:223:10
[task 2020-11-13T23:03:23.489Z] 23:03:23 INFO - GECKO(2634) | #47 0x7f508e28db4b in Interpret(JSContext*, js::RunState&) /builds/worker/checkouts/gecko/js/src/vm/Interpreter.cpp:3017:12
[task 2020-11-13T23:03:23.489Z] 23:03:23 INFO - GECKO(2634) | #48 0x7f508e271bf6 in js::RunScript(JSContext*, js::RunState&) /builds/worker/checkouts/gecko/js/src/vm/Interpreter.cpp:477:13
[task 2020-11-13T23:03:23.490Z] 23:03:23 INFO - GECKO(2634) | #49 0x7f508e2a85cc in js::InternalCallOrConstruct(JSContext*, JS::CallArgs const&, js::MaybeConstruct, js::CallReason) /builds/worker/checkouts/gecko/js/src/vm/Interpreter.cpp:636:13
[task 2020-11-13T23:03:23.490Z] 23:03:23 INFO - GECKO(2634) | #50 0x7f508e2aa79e in InternalCall(JSContext*, js::AnyInvokeArgs const&, js::CallReason) /builds/worker/checkouts/gecko/js/src/vm/Interpreter.cpp:664:10
[task 2020-11-13T23:03:23.491Z] 23:03:23 INFO - GECKO(2634) | #51 0x7f508e2aab20 in js::Call(JSContext*, JS::Handle<JS::Value>, JS::Handle<JS::Value>, js::AnyInvokeArgs const&, JS::MutableHandle<JS::Value>, js::CallReason) /builds/worker/checkouts/gecko/js/src/vm/Interpreter.cpp:681:8
[task 2020-11-13T23:03:23.491Z] 23:03:23 INFO - GECKO(2634) | Direct leak of 5796 byte(s) in 207 object(s) allocated from:
[task 2020-11-13T23:03:23.491Z] 23:03:23 INFO - GECKO(2634) | #0 0x560023368bfd in malloc /builds/worker/fetches/llvm-project/llvm/projects/compiler-rt/lib/asan/asan_malloc_linux.cpp:145:3
[task 2020-11-13T23:03:23.492Z] 23:03:23 INFO - GECKO(2634) | #1 0x7f508e2634ed in js_arena_malloc /builds/worker/workspace/obj-build/dist/include/js/Utility.h:385:10
[task 2020-11-13T23:03:23.492Z] 23:03:23 INFO - GECKO(2634) | #2 0x7f508e2634ed in js_pod_arena_malloc<unsigned char> /builds/worker/workspace/obj-build/dist/include/js/Utility.h:593:26
[task 2020-11-13T23:03:23.493Z] 23:03:23 INFO - GECKO(2634) | #3 0x7f508e2634ed in maybe_pod_arena_malloc<unsigned char> /builds/worker/checkouts/gecko/js/src/vm/MallocProvider.h:53:12
[task 2020-11-13T23:03:23.493Z] 23:03:23 INFO - GECKO(2634) | #4 0x7f508e2634ed in unsigned char* js::MallocProvider<JSContext>::pod_arena_malloc<unsigned char>(unsigned long, unsigned long) /builds/worker/checkouts/gecko/js/src/vm/MallocProvider.h:105:12
[task 2020-11-13T23:03:23.494Z] 23:03:23 INFO - GECKO(2634) | #5 0x7f508e95c103 in make_pod_arena_array<unsigned char> /builds/worker/checkouts/gecko/js/src/vm/MallocProvider.h:149:43
[task 2020-11-13T23:03:23.494Z] 23:03:23 INFO - GECKO(2634) | #6 0x7f508e95c103 in JSLinearString* js::NewStringCopyNDontDeflate<(js::AllowGC)0, unsigned char>(JSContext*, unsigned char const*, unsigned long, js::gc::InitialHeap) /builds/worker/checkouts/gecko/js/src/vm/StringType.cpp:1713:19
[task 2020-11-13T23:03:23.495Z] 23:03:23 INFO - GECKO(2634) | #7 0x7f508e6a2e17 in MakeLinearStringForAtomization<unsigned char> /builds/worker/checkouts/gecko/js/src/vm/JSAtom.cpp:896:10
[task 2020-11-13T23:03:23.495Z] 23:03:23 INFO - GECKO(2634) | #8 0x7f508e6a2e17 in AllocateNewAtom<const unsigned char > /builds/worker/checkouts/gecko/js/src/vm/JSAtom.cpp:961:28
[task 2020-11-13T23:03:23.495Z] 23:03:23 INFO - GECKO(2634) | #9 0x7f508e6a2e17 in atomizeAndCopyChars<const unsigned char > /builds/worker/checkouts/gecko/js/src/vm/JSAtom.cpp:811:18
[task 2020-11-13T23:03:23.495Z] 23:03:23 INFO - GECKO(2634) | #10 0x7f508e6a2e17 in AtomizeAndCopyCharsFromLookup<const unsigned char > /builds/worker/checkouts/gecko/js/src/vm/JSAtom.cpp:740:30
[task 2020-11-13T23:03:23.495Z] 23:03:23 INFO - GECKO(2634) | #11 0x7f508e6a2e17 in AtomizeAndCopyChars<unsigned char> /builds/worker/checkouts/gecko/js/src/vm/JSAtom.cpp:839:10
[task 2020-11-13T23:03:23.497Z] 23:03:23 INFO - GECKO(2634) | #12 0x7f508e6a2e17 in JSAtom
js::AtomizeChars<unsigned char>(JSContext
, unsigned char const
, unsigned long, js::PinningBehavior) /builds/worker/checkouts/gecko/js/src/vm/JSAtom.cpp:1079:10
[task 2020-11-13T23:03:23.497Z] 23:03:23 INFO - GECKO(2634) | #13 0x7f508e484237 in js::StringBuffer::finishAtom() /builds/worker/checkouts/gecko/js/src/util/StringBuffer.cpp:147:20
[task 2020-11-13T23:03:23.497Z] 23:03:23 INFO - GECKO(2634) | #14 0x7f508e72518b in NameToFunctionName(JSContext*, JS::Handle<JS::Value>, js::FunctionPrefixKind) /builds/worker/checkouts/gecko/js/src/vm/JSFunction.cpp:2423:13
[task 2020-11-13T23:03:23.497Z] 23:03:23 INFO - GECKO(2634) | #15 0x7f508e724942 in js::IdToFunctionName(JSContext*, JS::Handle<JS::PropertyKey>, js::FunctionPrefixKind) /builds/worker/checkouts/gecko/js/src/vm/JSFunction.cpp:2455:10
[task 2020-11-13T23:03:23.497Z] 23:03:23 INFO - GECKO(2634) | #16 0x7f508ec15a0e in DefineAccessorPropertyById(JSContext*, JS::Handle<JSObject*>, JS::Handle<JS::PropertyKey>, JSNativeWrapper const&, JSNativeWrapper const&, unsigned int) /builds/worker/checkouts/gecko/js/src/jsapi.cpp:2111:25
[task 2020-11-13T23:03:23.499Z] 23:03:23 INFO - GECKO(2634) | #17 0x7f508ec22a90 in JS_DefineProperties(JSContext*, JS::Handle<JSObject*>, JSPropertySpec const*) /builds/worker/checkouts/gecko/js/src/jsapi.cpp:3118:14
[task 2020-11-13T23:03:23.499Z] 23:03:23 INFO - GECKO(2634) | #18 0x7f5087d3459d in Define /builds/worker/checkouts/gecko/dom/bindings/BindingUtils.cpp:713:10
[task 2020-11-13T23:03:23.499Z] 23:03:23 INFO - GECKO(2634) | #19 0x7f5087d3459d in bool mozilla::dom::DefinePrefable<JSPropertySpec const>(JSContext*, JS::Handle<JSObject*>, mozilla::dom::Prefable<JSPropertySpec const> const*) /builds/worker/checkouts/gecko/dom/bindings/BindingUtils.cpp:728:12
[task 2020-11-13T23:03:23.499Z] 23:03:23 INFO - GECKO(2634) | #20 0x7f5087d34959 in mozilla::dom::DefineProperties(JSContext*, JS::Handle<JSObject*>, mozilla::dom::NativePropertiesN<7> const*, mozilla::dom::NativePropertiesN<7> const*) /builds/worker/checkouts/gecko/dom/bindings/BindingUtils.cpp:981:10
[task 2020-11-13T23:03:23.501Z] 23:03:23 INFO - GECKO(2634) | #21 0x7f5087d34fde in CreateInterfacePrototypeObject /builds/worker/checkouts/gecko/dom/bindings/BindingUtils.cpp:941:9
[task 2020-11-13T23:03:23.501Z] 23:03:23 INFO - GECKO(2634) | #22 0x7f5087d34fde in mozilla::dom::CreateInterfaceObjects(JSContext*, JS::Handle<JSObject*>, JS::Handle<JSObject*>, JSClass const*, JS::Heap<JSObject*>, JS::Handle<JSObject>, JSClass const*, unsigned int, mozilla::dom::NamedConstructor const*, JS::Heap<JSObject*>, mozilla::dom::NativePropertiesN<7> const, mozilla::dom::NativePropertiesN<7> const*, char const*, bool, char const* const*, bool, char const* const*) /builds/worker/checkouts/gecko/dom/bindings/BindingUtils.cpp:1052:13
[task 2020-11-13T23:03:23.502Z] 23:03:23 INFO - GECKO(2634) | #23 0x7f50863de91a in mozilla::dom::CSS2Properties_Binding::CreateInterfaceObjects(JSContext*, JS::Handle<JSObject*>, mozilla::dom::ProtoAndIfaceCache&, bool) /builds/worker/workspace/obj-build/dom/bindings/CSS2PropertiesBinding.cpp:57236:3
[task 2020-11-13T23:03:23.502Z] 23:03:23 INFO - GECKO(2634) | #24 0x7f5087d4a3ad in mozilla::dom::GetPerInterfaceObjectHandle(JSContext*, unsigned long, void ()(JSContext, JS::Handle<JSObject*>, mozilla::dom::ProtoAndIfaceCache&, bool), bool) /builds/worker/checkouts/gecko/dom/bindings/BindingUtils.cpp:4224:5
[task 2020-11-13T23:03:23.502Z] 23:03:23 INFO - GECKO(2634) | #25 0x7f50863dd8a4 in GetProtoObjectHandle /builds/worker/workspace/obj-build/dist/include/mozilla/dom/CSS2PropertiesBinding.h:59:12
[task 2020-11-13T23:03:23.503Z] 23:03:23 INFO - GECKO(2634) | #26 0x7f50863dd8a4 in mozilla::dom::CSS2Properties_Binding::Wrap(JSContext*, nsDOMCSSDeclaration*, nsWrapperCache*, JS::Handle<JSObject*>, JS::MutableHandle<JSObject*>) /builds/worker/workspace/obj-build/dom/bindings/CSS2PropertiesBinding.cpp:57145:42
[task 2020-11-13T23:03:23.504Z] 23:03:23 INFO - GECKO(2634) | #27 0x7f508aadee9a in Wrap<nsDOMCSSDeclaration> /builds/worker/workspace/obj-build/dist/include/mozilla/dom/CSS2PropertiesBinding.h:40:12
[task 2020-11-13T23:03:23.504Z] 23:03:23 INFO - GECKO(2634) | #28 0x7f508aadee9a in WrapObject /builds/worker/checkouts/gecko/layout/style/nsDOMCSSDeclaration.cpp:31:10
[task 2020-11-13T23:03:23.505Z] 23:03:23 INFO - GECKO(2634) | #29 0x7f508aadee9a in non-virtual thunk to nsDOMCSSDeclaration::WrapObject(JSContext*, JS::Handle<JSObject*>) /builds/worker/checkouts/gecko/layout/style/nsDOMCSSDeclaration.cpp
[task 2020-11-13T23:03:23.506Z] 23:03:23 INFO - GECKO(2634) | #30 0x7f5087b00967 in DoGetOrCreateDOMReflector<nsICSSDeclaration, mozilla::dom::binding_detail::eWrapIntoContextCompartment> /builds/worker/workspace/obj-build/dist/include/mozilla/dom/BindingUtils.h:1042:18
[task 2020-11-13T23:03:23.506Z] 23:03:23 INFO - GECKO(2634) | #31 0x7f5087b00967 in GetOrCreateDOMReflector<nsICSSDeclaration> /builds/worker/workspace/obj-build/dist/include/mozilla/dom/BindingUtils.h:1108:10
[task 2020-11-13T23:03:23.506Z] 23:03:23 INFO - GECKO(2634) | #32 0x7f5087b00967 in mozilla::dom::HTMLElement_Binding::get_style(JSContext*, JS::Handle<JSObject*>, void*, JSJitGetterCallArgs) /builds/worker/workspace/obj-build/dom/bindings/HTMLElementBinding.cpp:1815:8
[task 2020-11-13T23:03:23.508Z] 23:03:23 INFO - GECKO(2634) | #33 0x7f5087d247e0 in bool mozilla::dom::binding_detail::GenericGetter<mozilla::dom::binding_detail::NormalThisPolicy, mozilla::dom::binding_detail::ThrowExceptions>(JSContext*, unsigned int, JS::Value*) /builds/worker/checkouts/gecko/dom/bindings/BindingUtils.cpp:3111:13
[task 2020-11-13T23:03:23.508Z] 23:03:23 INFO - GECKO(2634) | #34 0x7f508e2a83c4 in CallJSNative /builds/worker/checkouts/gecko/js/src/vm/Interpreter.cpp:507:13
[task 2020-11-13T23:03:23.508Z] 23:03:23 INFO - GECKO(2634) | #35 0x7f508e2a83c4 in js::InternalCallOrConstruct(JSContext*, JS::CallArgs const&, js::MaybeConstruct, js::CallReason) /builds/worker/checkouts/gecko/js/src/vm/Interpreter.cpp:599:12
[task 2020-11-13T23:03:23.508Z] 23:03:23 INFO - GECKO(2634) | #36 0x7f508e2aa79e in InternalCall(JSContext*, js::AnyInvokeArgs const&, js::CallReason) /builds/worker/checkouts/gecko/js/src/vm/Interpreter.cpp:664:10
[task 2020-11-13T23:03:23.510Z] 23:03:23 INFO - GECKO(2634) | #37 0x7f508e2aab20 in js::Call(JSContext*, JS::Handle<JS::Value>, JS::Handle<JS::Value>, js::AnyInvokeArgs const&, JS::MutableHandle<JS::Value>, js::CallReason) /builds/worker/checkouts/gecko/js/src/vm/Interpreter.cpp:681:8
[task 2020-11-13T23:03:23.510Z] 23:03:23 INFO - GECKO(2634) | #38 0x7f508e2ac4a8 in js::CallGetter(JSContext*, JS::Handle<JS::Value>, JS::Handle<JS::Value>, JS::MutableHandle<JS::Value>) /builds/worker/checkouts/gecko/js/src/vm/Interpreter.cpp:805:10
[task 2020-11-13T23:03:23.510Z] 23:03:23 INFO - GECKO(2634) | #39 0x7f508e7f9c1c in CallGetter /builds/worker/checkouts/gecko/js/src/vm/NativeObject.cpp:2382:12
[task 2020-11-13T23:03:23.510Z] 23:03:23 INFO - GECKO(2634) | #40 0x7f508e7f9c1c in GetExistingProperty<js::CanGC> /builds/worker/checkouts/gecko/js/src/vm/NativeObject.cpp:2434:12
[task 2020-11-13T23:03:23.512Z] 23:03:23 INFO - GECKO(2634) | #41 0x7f508e7f9c1c in NativeGetPropertyInline<js::CanGC> /builds/worker/checkouts/gecko/js/src/vm/NativeObject.cpp:2579:14
[task 2020-11-13T23:03:23.512Z] 23:03:23 INFO - GECKO(2634) | #42 0x7f508e7f9c1c in js::NativeGetProperty(JSContext*, JS::Handle<js::NativeObject*>, JS::Handle<JS::Value>, JS::Handle<JS::PropertyKey>, JS::MutableHandle<JS::Value>) /builds/worker/checkouts/gecko/js/src/vm/NativeObject.cpp:2616:10
[task 2020-11-13T23:03:23.513Z] 23:03:23 INFO - GECKO(2634) | #43 0x7f508e2b38e9 in GetProperty /builds/worker/checkouts/gecko/js/src/vm/ObjectOperations-inl.h:117:10
[task 2020-11-13T23:03:23.514Z] 23:03:23 INFO - GECKO(2634) | #44 0x7f508e2b38e9 in js::GetProperty(JSContext*, JS::Handle<JSObject*>, JS::Handle<JS::Value>, js::PropertyName*, JS::MutableHandle<JS::Value>) /builds/worker/checkouts/gecko/js/src/vm/ObjectOperations-inl.h:124:10
[task 2020-11-13T23:03:23.514Z] 23:03:23 INFO - GECKO(2634) | #45 0x7f508e2b27ff in js::GetProperty(JSContext*, JS::Handle<JS::Value>, JS::Handle<js::PropertyName*>, JS::MutableHandle<JS::Value>) /builds/worker/checkouts/gecko/js/src/vm/Interpreter.cpp:4727:10
[task 2020-11-13T23:03:23.514Z] 23:03:23 INFO - GECKO(2634) | #46 0x7f508e28db4b in GetPropertyOperation /builds/worker/checkouts/gecko/js/src/vm/Interpreter.cpp:223:10
[task 2020-11-13T23:03:23.515Z] 23:03:23 INFO - GECKO(2634) | #47 0x7f508e28db4b in Interpret(JSContext*, js::RunState&) /builds/worker/checkouts/gecko/js/src/vm/Interpreter.cpp:3017:12
[task 2020-11-13T23:03:23.517Z] 23:03:23 INFO - GECKO(2634) | #48 0x7f508e271bf6 in js::RunScript(JSContext*, js::RunState&) /builds/worker/checkouts/gecko/js/src/vm/Interpreter.cpp:477:13
[task 2020-11-13T23:03:23.517Z] 23:03:23 INFO - GECKO(2634) | #49 0x7f508e2a85cc in js::InternalCallOrConstruct(JSContext*, JS::CallArgs const&, js::MaybeConstruct, js::CallReason) /builds/worker/checkouts/gecko/js/src/vm/Interpreter.cpp:636:13
[task 2020-11-13T23:03:23.518Z] 23:03:23 INFO - GECKO(2634) | #50 0x7f508e2aa79e in InternalCall(JSContext*, js::AnyInvokeArgs const&, js::CallReason) /builds/worker/checkouts/gecko/js/src/vm/Interpreter.cpp:664:10
[task 2020-11-13T23:03:23.518Z] 23:03:23 INFO - GECKO(2634) | #51 0x7f508e2aab20 in js::Call(JSContext*, JS::Handle<JS::Value>, JS::Handle<JS::Value>, js::AnyInvokeArgs const&, JS::MutableHandle<JS::Value>, js::CallReason) /builds/worker/checkouts/gecko/js/src/vm/Interpreter.cpp:681:8

It looks like this may have gone away recently. Somehow. The failures in the previous comment are all from beta and ESR78.

Flags: needinfo?(continuation)

The Bugbug bot thinks this bug should belong to the 'Core::JavaScript Engine' component, and is moving the bug to that component. Please revert this change in case you think the bot is wrong.

Component: General → JavaScript Engine
Product: Firefox → Core
Component: JavaScript Engine → General
Product: Core → Firefox
You need to log in before you can comment on or make changes to this bug.